1.12.6
- Fixed log spamming messages with Lotus Elise SC

1.12.5
- Corrected Lotus Evora GTE engine brake
- Fixed crashes due to LDR instruments

1.12.4
- Fixed DirectInput polling frequency too high

1.12.3
- Audio is now following head rotation/offset in VR correctly
- Audio driver swap is now only effective after restarting acs
- Fixed Abarth 595 automatic gearbox 2nd->3rd gearchange indecision.
- Fixed AI unable to correctly manage slow corners with low grip in pitlane

1.12.2
- Improved Oculus rift "mirror texture" framerate
- Added option to turn Oculus "mirror texture" off in Documents/Assetto Corsa/cfg/oculus.ini
[MIRROR_TEXTURE]
ENABLED=0
- Fixed Fanatec wheels rotation angle forced to 800 degrees
- Fixed sudden disconnection in booking mode: now it happens at the end of race's result screen
- Fixed timed race in shared memory
- Fixed 595 Abarth AI stopping in x86
- Fixed OculusVR rendering of distant objects with Post Processing enabled
- Fixed Shelby Cobra front tyre heating typo and tyre pressure setup range
- Fixed Porsche 911 Turbo S automatic downshift bug
- Improved brake steer algorithms for low speeds for
	Porsche 911 Carrera S
	Porsche 911 GT3 RS
	Porsche 911 R
	Porsche 911 Turbo S
	Porsche 918 Spyder
	Porsche Panamera Turbo 
- Improved Porsche 918 spyder brake performance
- Corrected McLaren P1 and Porsche 918 spyder acceleration performance
- Fixed LaFerrari wrong sample pitch on coast
- Current time is now smoothed out in replays
- Added new Special Events on Highlands track
- Fixed AI App crash with mod tracks

1.12.1
- skin template added for the new Audi Sport quattro S1 E2
- Fixed Ferrari LaFerrari erratic aero behavior on Highland high speed jumps
- Fixed shadows caster on grass at highlands long
- Tweaked city surface ffb effects at highlands, long and drift
- Fixed mirrors UV on Audi Sport quattro S1 E2
- Fixed Lotus 98T yellow tyre wear indicator on new tyres.
- Updated Lotus 98T performance envelope by tyres, diffuser and front wing ride height sensitivity and other changes.
- Fixed Tatuus FA01 tyre compound wear
- Updated acServer with a fix for bookmark registration mode
- Added IGNORE_RESULT_TELEPORT in system/cfg/options.ini to avoid teleport to pit at the end of each online session.
- Updated walls on highlands track in order not to use them as advantage
 
1.12
- WARNING: this update resets assetto_corsa.ini, we advise to check values for gyro, free camera etc
- New Audi Sport quattro S1 E2 group B rally car
- New Highlands track in four layouts
- Removed on screen Fuel Indicator for cars except the player's one
- Fixed Setup Tab sorting
- Added online Timed Races (with and without additional lap)
- Added online ResultScreen time
- Tweaked all the system apps regarding Timed Races
- Fixed online pit crew locations
- Added pressure meter color on Tire App (based on compound ideal pressure)
- Updated minimum pressures and optimum pressures for various cars
- New v10 tyre wear algorithms more sensitive to load for all cars
- Graining is now reducing when driving in good temperature conditions
- New and updated V10 street, semislick, vintage, and race slicks tyres for all cars. A total of 151 cars updated.
- Updates for cars that already had V10 tyres as well.
- Updated chassis balance and inertias for all 151 available cars.
- Updated engine coast braking for street cars
- Updated antiroll bars for Porsche 911 GT3 Cup car as per suggestion of Porsche that asymmetrical antiroll bar settings are not advised, so now settings are back to 7 in setup screen.
- Updated rear wing aero for Porsche 911 GT3 Cup to allow for lower rear wing at high speed tracks like Monza
- Added rear vertical fin for Lotus 98T
- Updated Brake fade for 
	Shelby Cobra
	Lamborghini Miura
	Alfa Romeo GTA
	Abarth 595
	Ford Escort RS
	Ford GT40
	Lotus 25
	Lotus 49
	Maserati 250F 6C and 12C
	Lotus 72D
	Ferrari 312T
	Ferrari F40
- Fixed penalty detection
- Online cut reporting (Throttle Cut disabling)
- Added acServerManager 1.12.0
	- Added timed race management
	- Added result screen management
	- Track with 2 pits are allowed
	- Added option for online cut reporting (with Throttle Cut disabling)
- Pitstop: Suspension repair will automatically fix body too
- Added Tyre compound on race_out.json and server result
- Fixed Gt3 AI crashing at Nordschleife
- Added DigitalLed Tyre lock/slip script
	- implemented in the latest Porsche racing cars, GT3 Cup, GT3 R and 919 Hybrid 2016
- Added Decimals to DigitalItem Fuel script
- Added local velocity to Shared Memory
- FF_SKIP_STEPS now defaults to 0. Wheels with problematic FF can have it set back to 1 if necessary
- Added new 
	[FF_SKIP_STEPS]
	VALUE=0
	optional parameter in controls.ini
- Added Fanatec leds support (system/cfg/fanatec.ini)
- Added Pitstop to Qualify session
- Tweaked confusing "Drive through penalty" message
- Fixed Pitstop times for Porsche race cars
- Tweaked M4 Akrapovic engine volume
- Fixed Porsche 911 GT3 RS coast volume

1.11.4
- Corrected Praga R1 FFB values
- Corrected Toyota Supra limiter sounds
- Balanced Bmw M4 overall volume
- Balanced Bmw M3 e92 exterior volume
- Added #910 livery to Porsche 911 GT3 R

1.11.3
- Fixed new damage formulas not considering wings with negative cl
- Fixed damage wrong influence on drag
- Fixed damage wrong influence on vertical wings (fins)
- Corrected driver model on Porsche 911R

1.11.2
- missing diffuser model added on Porsche 911R (3D model correction)
- UV error fixed on Porsche 917K, relevant template updated (certain mod skins will need updating)
- low-fuel warning light added on certain modern Porsche 911 models
- Championship bugs and fixes
- Fixed graphic KERS charge input on Ferrari LaFerrari, Ferrari FxxK and Porsche 918 Spyder
- Adjusted 911R tyre heating

1.11.1
- Fixed Rear Right camber setup slider visualization for BMW 1M/S3, BMW M235iRacing, Porche Cayman S, Porsche Boxster S manual/PDK, Porsche Cayman GT4, Porsche Cayenne, Porsche Macan, Lotus Exos/S1
- Fixed Porsche 911 Carrera RSR 74, ratio of 5th gear on default setup
- Fixed Porsche 908LH automatic gears hesitation on specific situations
- Corrected Porsche 911 GT3 Cup 2017 wheels 3D placement and setup camber range, to avoid clipping with body at 0 camber.
- Corrected Ford GT40 suspension travel limit and bump steer, to avoid suspension out of bounds and flex on severe compressions. (after all the car was made for LeMans which was flat...)
- Corrected Porsche 911 GT3 Cup AI shift rpm range
- Updated V10 tyres, physics and inertia for Praga R1
- Missing corner placed RPM indicator lights added to 919 Hybrid 2016
- Fixed Championship gameplay wrong AI level values
- Fixed very long circuit names, covering the lap slider in Championship creation
- Instrument backlighting added to 908LH and 917K
- Fixed Italian Ring special event
- Fixed Shared Memory Physics->BrakeBias 

1.11.0
- New Porsche 919 Hybrid 2016 LeMans configuration (Porsche Pack 3)
- New Porsche 908 Lang Heck (Long Tail) (Porsche Pack 3)
- New Porsche 917 K (Porsche Pack 3)
- New Porsche 911 R (991) (Porsche Pack 3)
- New Porsche 911 GT3 Cup 2017 (Porsche Pack 3)
- New Porsche 911 GT3 R 2016 (Porsche Pack 3)
- New Porsche 911 Turbo S (991) (Porsche Pack 3)
- New Porsche Macan Turbo (free bonus)
- New Championship gameplay. Create your own championship, select cars, tracks, laps, points, rules and compete against the AI.
- Fixed wing damage model on Nissan GTR
- Shared Memory :
- Fixed kersCharge and kersInput for ERS system
- Added system/cfg/messages.ini to filter system messages out
- Added Print function in Time Table (export in Documents\Assetto Corsa\out)
- Fixed Setup Electronic tab issue on ABS level for cars featuring no TC
- Reviewed damage curve + repair times
- New formula for effective radius calculation
- Pitstop is possible also in Practice session
- Fixed Confirm button in Pitstop screen to work without any requested operation
- Fixed UI resetting AI level at start
- Corrected front wheel 3D placement for Lotus Evora S and Step 2
- Pitstop animation disabled for VR users
- New V10 tyres and updated physics and inertias for all GT3 cars
- New V10 tyres and updated physics and inertias for all GT2 cars plus Glickenhaus P4/5C and Evora GX and GTC
- Updated V10 tyres and updated physics and inertias for Hypercars (LaFerrari, 599XX, FxxK, P1, Aventador SV, Huayra, Zonda R), more experimentation
- Updated V10 tyres and updated physics and inertias for Ford GT40
- Corrected Porsche 917/30 inertia values
- Corrected Porsche 917/30 ackermann and front bump steer suspension
- Corrected aero downforce and drag values for Porsche 962 Short Tail
- Corrected drag values for Porsche 962 Long Tail
- Porsche 962C Long Tail now has passive wastegate pressure map that permits user controlled overboost as a % of a turbo boost map. 0-9 keys
- F4 key sets camera on the player car
- Added Delete function on Setup screen
- Added electronic controller cltr_wastegate[X].ini to control wastegate levels on turbos
- Fixed potential track cut on Nordschleife Endurance and Cup layouts
- Fixed AI steer "snaps" when near track lateral limits

1.10.2
- Added acServerManager tyre models for Porsche Pack 2
- Fixed Ford Escort missing brake power setup screen
- Fixed Porsche 935/78 Moby Dick Moby Dick missing brake power setup screen
- Fixed Porsche 911 Carrera RSR 3.0 missing brake power setup screen
- Fixed Porsche 962 Longtail AI using low turbo boost
- Adjusted Porsche 718 RS60 spyder rev red needle, now showing around 7600rpm
- Fixed Porsche 718 Cayman S very fast gearchanges on manual gearbox.
- Fixed Porsche 718 Cayman S wrong UI tech specs weight and power to weight ratio. Physics were ok.
- Fixed typo on Porsche Cayenne brake power, stronger brakes
- Corrected Porsche 962C Short Tail and Long Tail tech specs information. (Physics were ok)
- Fixed McLaren 650 GT3 front toe setup range
- Python new functions and members
	- Added isAIControlled(CarID)
	- ERSMaxJ gives back KERS or ERS relatively to the system
- Shared Memory
	- Added isAIControlled to Physics
	- Added ersMaxJ to Static
- ERS/KERS currentJ is now reset when crossing the starting line during the first lap.
- Camera shake in VR is now off by default, enable it by setting ENABLE_CAMERA_SHAKE=1 in system/cfg/assetto_corsa.ini under [VR]
- Fixed the UI Setup Electronics - Engine Brake levels to be synched with the current physic values
- Tweaked livery on the Porsche 919 Hybrid
- Fixed windscreen reflection on the 911 Carrera S and 991 GT3 RS
- Fixed Dynamic Index formula... AGAIN!
- Fixed smoke renders in mirror even when the option is off with high quality mirrors

1.10.1
- Fixed Porsche Cayenne Turbo S not working
- Fixed (AGAIN!) Dynamic Index formula 

1.10
- New Porsche 718 Boxster S Manual gearbox (Porsche Pack #2 DLC)
- New Porsche 718 Boxster S PDK gearbox (Porsche Pack #2 DLC)
- New Porsche Cayman GT4 (street version) (Porsche Pack #2 DLC)
- New Porsche 911 GT3 RS (street 991 version) (Porsche Pack #2 DLC)
- New Porsche 718 Spyder RS60 1960 (Porsche Pack #2 DLC)
- New Porsche 962C Short Tail 1985 (Porsche Pack #2 DLC)
- New Porsche 962C Long Tail 1987 (Porsche Pack #2 DLC)
- New Porsche 911 GT1-98 1998 (Porsche Pack #2 DLC)
- New Porsche 919 Hybrid 2015 (Porsche Pack #2 DLC)
- New Porsche Cayenne Turbo S (free bonus car)
- Improved Porsche 911 Carrera S electronics
- Improved Porsche 918 Spyder electronics
- V10 street tyres for BMW M4 and Corvette C7 Stingray for comparison reasons (v10 still beta)
- V10 street tyres performance improvements
- V10 tyres for McLaren F1 GTR
- V10 tyres for Mercedes C9
- Improved Porsche 917/30 physics with more accurate data from homologation papers.
- Corrected typos on Porsche Cayman GT4 Clubsport rear suspension toe link
- Added vertical wing ("fin") simulation in Porsche 917/30
- VR: now cockpit camera position is always on the driver eye position (this is overridden by the onboard camera settings)
- Fixed WBCAR_TOP_FRONT not being modified by RIM_OFFSET
- Fixed CX_MULT only using the last value in the INI for every compound
- Added BRAKE_DX_MOD parameter to have slip ratio vs FX curve different on the brake side
- Fixed some too low turbo volumes
- Improved FXX K downshift sound
- Added electronics tab in the car setup 
- Fixed ERS energy deployment wasn't resetting in Hotlap mode
- Body work has now some flexibility when colliding with ground
- Improved tyre load formula
- Fixed Lock Controls penalty when player is AFK during race start
- Added brake pressure setup options for all cars
- Added vertical wings ("Fins") simulation
- Added Energy deployment limit from a single front MGU
- Added majorly IMO tyres temperature to shared memory
- Fixed Porsche Panamera wrong alignment setup options
- Fixed Lamborghini Miura long pitstop refueling time
- Fixed Lamborghini Countach S1 long pitstop refueling time
- Fixed rear damping ratio in Car Engineer app
- Fixed Autoshifter shifting too early in race start
- python new functions and members
	- getTrackLength() 
- Fixed Default ABS/TC and current ABS/TC level not being synchronized
- Tyre explosion temperature is now configurable by modders by using the optional section in tyres.ini :
[EXPLOSION]
TEMPERATURE=350
- Gamepad can now use legacy code for vibrations and speed sensitivity by setting USE_LEGACY_CODE=1 in system/cfg/assetto_corsa.ini
- Enabled camera shake and g-force movements for OculusVR


1.9.3
- Improved DX11 initialization
- Fixed same samples volume going crazy during update
- Tweaked compressor parameters for external view, now it kicks in more relaxed
- Corrected electronics behaviour and street tyres typo on Porsche 911 Carrera S 991.2
- Added new section to video.ini to force refresh rate (only works in fullscreen mode):
ex:
[REFRESH]
VALUE=50

1.9.2
- Fixed Lotus 49 hardcoded special event
- Ingame F9 leaderboard saves his last layout
- Added saturation to audio levels through in-game audio app
- Fixed in-game audio app not saving values 
- Fixed Porsche 935/78 missing backfire
- Fixed rare audio clicks during gear shift for some cars
- Improved Speed Sensitivity calculations for X360 Game Pad controls (good default is now 50% Speed Sensitivity)

1.9.1
- Fixed crash with Porsche 918 when tyres are not on the tarmac in 32 bit mode
- Fixed crash with Tyre Tester App
- Fixed inactive ers controller on Porsche 918 
- Fixed clicking gear shift on the Porsche 918
- Tweaked backfire volume on the Porsche 917/30
- Slightly tweaked volume curve (speed related) for the new brake squeal sound
- New Session info can be customized in [SteamLibrary]\steamapps\common\assettocorsa\system\cfg\session_info.ini
- Personal driver skin can be customized adding "driverskin.ini" into Documents\Assetto Corsa\cfg folder. The script must be similar to the one in "skin.ini" (skins folder of any official car) and can contain more driver models.
- Fixed Ferrari 488 GT3 setup ride height visualization. (physics on front splitter was fine)

1.9
- New Porsche 991 Carrera S (Porsche Pack #1 DLC)
- New Porsche 918 Spyder (Porsche Pack #1 DLC)
- New Porsche 718 Cayman S (Porsche Pack #1 DLC)
- New Porsche 917/30 CanAm 1973 (Porsche Pack #1 DLC)
- New Porsche 911 Carrera RSR 3.0 1974 (Porsche Pack #1 DLC)
- New Porsche Cayman GT4 Clubsport (Porsche Pack #1 DLC)
- New Porsche 935/78 Moby Dick 1978 (Porsche Pack #1 DLC)
- New Porsche Panamera G2 Turbo
- New Silverstone 1967 historic track
- Added session time/laps on the top of the screen (laps are the leader ones)
- Now race is over when the car complete its lap and the leader has finished his last one
- Added dynamic ARB
- Fixed possible collision still active on race restart
- Added ERS recharge digital display
- Improved precision on all digital leds
- GT3 cars use tire model v10.
- Fixed TC sound distortion when triggered for the first time
- New camber grip variation formula (Thank You Nao!)
- Simplified DirectX 11 initialization
- Added official "Sparco" license to Assetto Corsa
- Added Ballast system through Ballast App (single player only)
- Added new F9 vertical layouts
- Added new driver + crew texture system
- Added new personal driver texture
- Fixed virtual mirrors rendered when not necessary
- Fixed Kers and ERS able to rev in neutral and reverse gear and overrev the engine
- Improved FFB App UI, so label is readable by VR users
- Added multiplayer splits
- Added Time Table leaderboard mode: this includes realtime splits and delta
- Added Fmod optimizations
- Added Anti-Wrecker protection
- Fixed AI "flapping" DRS in traffic
- Improved autoshifter
- Improved laptimes board by adding splits and tyre compound
- Fixed backfire animation freezing after session change
- Fixed leaderboard history in multiplayer
- Added voting spam protection
- horizon locked view removed from Bumper camera
- Delta App reviewed
- Fixed possible flickering in case of engine stall
- Added backfire animation to Zonda R
- python new functions and members
	- getCarTyreCompound(carid) 
- Tyre blister and grain are now tied to the "Wear" settings and not "Damage". Wear=0 will turn off graining and blistering simulation
- Fmod updated to 1.08.12
- Updated SDK for modders
- Removed reverb snapshot in the Fmod project
- General audio engine code cleaning and bug fixing
- Vastly improved Fmod resource usage
- Voice stealing is now properly managed by code, so the sound mods will follow the same behaviour of the original sound banks
- Fixed listener priority for cars in pits. They don't steal the priority anymore
- Amount of events instances are now properly limited in order to keep proper volume range and overall performace improvement
- Overall volume balance
- 7.1 surround should now work as expected (on all platforms)
- Fixed audio initialization pop when the session starts
- Stereo imaging now works as expected
- Fixed ambience sound affected by reverb zones
- Reworked reverb logic: when triggered onboard, the reverb is given by the exterior engine
- Reworked distance attenuations for enhanced experience (e.g. engine_int raised to 350 meters)
- Reworked wind curves: now the wind volume is related to the air pressure (i.e. player car will hear turbulence when in draft and AP value goes below 1.00)
- Reworked surfaces audio curves
- Reworked skids logic
- Fixed skids positional sound
- New exterior skids sound
- Set tyre skid entry point to 100 in audio.ini (set what you prefer in the audio options)
- Reworked code management for traction control and limiter events
- Tweaked wind and limiter sound emitter position in dashboard camera
- Audio compressor on engine_ext event now works as expected when many cars are involved
- Surfaces, crashes and skids are now properly audible in chase and track cameras
- Opponents volume now honours F1 cameras. For track/free cameras it is set to max (optimum for replays, broadcasting etc.)
- Fixed load/coast smooth for AIs and multiplayer
- Fixed transmission smooth and pitch for multiplayer opponents
- Engine volume setting is now related to the player/focused car
- When driving, some opponents events are now audible (e.g. skids, surfaces and gear shifts if available)
- Surfaces events are now properly cached. This fixes stuttering when a surface event is triggered for the first time and should limit "digital clicks"
- Fixed multiplayer opponent surfaces sound when it leaves instantly (e.g acs proces kill/crash) while driving on sand/kerb/etc...
- New dirt sound effects
- New brake squeal for some "old" cars
- Added audio fade when track camera changes
- Added [VERSION] section in audio.ini
- Removed [LATENCY] section in audio.ini (managed by FMod itself now) and from the GUI
- Slightly modified gear grind sound
- Fixed wrong listener position for track and car cameras in some situations
- added DRL on LaFerrari, Mclaren P1, Nissan 370Z Nismo, Nissan GTR and Ford Mustang
- added templates for Porsche Vol. 1 cars
- fixed excessive brake light brightness on Ford Mustang
- minor graphics fixes on Triple Pack cars
- [Modding] added harvest series function in digital_instruments [KERS_RECHARGE_SERIE]
- [Modding] added 918 Spyder-style full power usage series function in digital_instruments [POWER_918]
- Added PACKER_RANGE_HF and PACKER_RANGE_HR for heave springs packer settings in setup.ini
- Packers now use bump stop rates
 

1.8.1
- Launcher: reverted to pre-50 version of CEF for Vista compatibility
- Launcher default theme: various fixes for tags (sorting, case sensitivity, cases where main car and upgraded car shared the same tag)
- Added DRS signal in 488 GTB dashboard
- Corrected inverted rear diffuser animation on 488 GTB
- Launcher default theme: do not check for video resolution discrepancies in windowed mode
- Tweaks on shadows bias, reintroduced last cascade fade in (reduce popup of distant objects)
- Modding: Added INVERTED key in ANIMATION_ section (wing_animations.ini) to invert the animation
- Corrected steer brake on McLaren MP4 12C and McLaren P1
- Fixed some drift cars UI tags to allow an easier filtering
- Fixed lap validity reset on open tracks (see Nordschleife Touristenfahrten)
- Fixed 488 GT3's digital performance meter
- Tweaked Aventador SV exterior volume
- Tweaked Praga R1 interior volume

1.8
- New Ferrari FXXK (Tripl3 Pack DLC)
- New Ferrari 488 GTB (Tripl3 Pack DLC)
- New Praga R1 (Tripl3 Pack DLC)
- New Audi S1 (A1)
- New Monza 66 Full Course (sopraelevata)
- New Monza 66 Junior Course
- Improved reflection quality
- Improved shadow stability
- Improved graphics performances
- Fixed Tyre Model 10 not updating Dx and Dy value in telemetry app
- AI improvements on slower reaction after an impact, for more realistic collisions
- Overlay Leaderboard now shows correct positions on the grid at race start
- Fixed Laps app showing 0 as first lap
- Fixed Race Control UI for the low resolution screens
- Wrong direction penalty gets also time penalty
- Added float clutch to SPageFilePhysics
- Fixed turbolevel digital item showing a wrong value
- Fixed various problems/timing on ghost cars
- Fixed typo on sound distance attenuation for Lotus Evora GTC/GX
- Fixed sample attack for BMW M3 e30 GrA/DTM limiters
- Replay files will not reset anymore at session start (no need to rush out of the server anymore to save a replay)
- Fixed remote cars head movements in multiplayer and multiplayer replays
- Fixed typo on LaFerrari active differential lock in coast and small bumpstop stiffness changes
- General improvements on V10 tyres for rolling resistance, flex, pressures and more.
- Improved Maserati GranTurismo MC GT4 suspension, should improve braking without ABS
- V10 tyres for Hypercars LaFerrari, McLaren P1, Pagani Huayra
- V10 tyres for GT2 cars BMW M3 GT2, Ferrari 458 GT2, Corvette C7R
- V10 tyres for Racing Hypercars Ferrari 599XX, Ferrari FXXK, Pagani Zonda R
- Fixed ERS power output when battery is close to 0 and MGU-H is set to battery
- Removed ERS cockpit controls for MGU-H and Recover in McLaren P1
- Improvement in performance for collision detection and physic solver
- Fixed clouds when switching sessions
- Returning to pit during a time penalty results in a greater time penalty
- Fixed possible drive through cheat
- Fixed blurred objects not working if speed was negative
- Fixed hotlap mode: now valid laps will be correctly registered
- Removed white flag: a new message will appear the moment the race leader starts his last lap
- Modding: extra animations now binded to three channels NUM 4, 5 and 6 (group animations to make them play simultaneously, otherwise each clip will be played separately)
- Modding: rotating object support for cooling fans [ROTATING_OBJECT_0] in extra_animations
- Modding: series scripts added for digital speed bars [SPEED_SERIE_0] in digital_instruments

1.7.5
- fixed pit timing for BMW M3 GT2
- fixed encoding issues in some json files 
- fixed Steam achievement "Vallelunga Instructors are giving you the thumb, well done!"
- fixed Steam achievement "You should be driving the real Formula Abarth! Poleman!"

1.7.4
- Fixed GRAPHICS_PITCH_ROTATION
- Fixed AI sometimes pitting at the last lap
- Heave springs are now using rod length from suspension if not in monoshock mode
- Improved AI at race starts
- Levante rim size fixed
- Huracan GT3 and ST pit light fixed
- now acServerManager manages drs_zones.ini files
- Removed dedicated VR driver eyes positions
- Fixed F138 and SF15-T wrong range of damper values in setup screen
- Fixed F138 and SF15-T main body angle of attack viualizzation in WINGS app (no differences in aero performance)
- Improved ERS for McLaren P1, now with 2 profiles, race and charging.
- Nissan GT-R Nismo now uses automatic clutch
- Fixed tyre smoke remaining visible after remote car disconnected
- DRS now automatically closes when outside of DRS zone

1.7.3
- Fixed strut suspensions going full banana


1.7.2
- Fixed Oculus VR blurriness with PP on. Also fixed missing glare and godrays effects.
- Improved graphics smoothing for rigid bodies
- Improved SF15-T engine power delivery and gear ratios
- Fixed setup bugs in Maserati GranTurismo MC GT4
- Fixed wrong values in SF15-T Heave dampers
- Improved ERS simulation in McLaren P1
- Pit Box Indicator is visible only if player is in the pitline
- Fixed Race Position App when used on several game modes
- Shared Memory new members
	- SPageFileStatic
		- float trackSPlineLength = 0;
		- wchar_t trackConfiguration[33];

1.7.1
- Reverted HideApps command key (CTRL+H)
- Fixed headlights auto-switch with foggy weather
- Levante brake disks, damage zones and seatbelts fixed
- F138 mirrors fixed
- Fixed ChatApp issue when TIME_TO_LOSE_FOCUS was defined
- Fixed a possible desync at multiplayer start
- Fixed potential divide by zero in ERS
- Tweaked skid sound pitch and volume for Maserati Levante
- Finetuned crossfade at high rpms for Ferrari SF15-T
- Shared Memory new members
	- SPageFileStatic
		- int hasDRS = 0;		
		- int hasERS = 0;
		- int hasKERS = 0;
		- float kersMaxJ = 0;
		- int engineBrakeSettingsCount = 0;
		- int ersPowerControllerCount = 0;
	- SPageFilePhysics
		- float performanceMeter = 0;		
		- int engineBrake = 0;		
		- int ersRecoveryLevel = 0;
		- int ersPowerLevel = 0;
		- int ersHeatCharging = 0;
		- int ersIsCharging = 0;
		- float kersCurrentKJ = 0;
		- int drsAvailable = 0;
		- int drsEnabled = 0;
		- float brakeTemp[4];
- python new functions and members
		- added new members to getCarState (see acsys.py)
		- getCarEngineBrakeCount(carid)
		- getCarPowerControllerCount(carid)
- Updated server plugin example to reflect protocol changes in ACSP_LAP_COMPLETED
- Fixed autoclutch cars not starting if clutch pedal is pressed down

1.7
- Added Red Bull Ring track (Red Pack DLC)
- Added Ferrari SF15-T (Red Pack DLC)
- Added Ferrari F138 (Red Pack DLC)
- Added Ferrari 488 GT3 (Red Pack DLC)
- Added Lamborghini Aventador SV (Red Pack DLC)
- Added Maserati GranTurismo MC GT4 (Red Pack DLC)
- Added Maserati 250F 6 cylinder (Red Pack DLC)
- Added Maserati 250F 12 cylinder (Red Pack DLC)
- Added Maserati Levante S
- Performance Delta App: Added instant velocity difference bar
- Realtime App: Added road/ambient temperatures and grip
- Fixed system messages when ABS and TC are not available
- Added loading/saving system for fixed setup sessions
- Added audio device selector on Audio App. If saved device is not there, main device will be used
- Added volume ramp function to overcome issues with logitech headphone drivers
- Added Precision slider in Photo App
- Added missing icons on replay interface
- Added QUANTITY_MULT in system/cfg/skidmarks.ini
- Fixed RX-7 Tuned turbo sound behavior
- Fixed Alfa 155 mixing route for external sounds
- Fixed Ferrari F40 low-pass filter and some events volume
- Balanced exterior volume for all the cars
- New Bmw M3 e92 external sounds
- Added brake disc temperature simulation to (Ferrari 488 GT3, Maserati GranTurismo MC GT4,Maserati Levante)
- New Drivemotive Drifting School livery for BMW M3 e92 drift and S1 variants
- Tyre pressure now influences temperature spread and build up
- Added dynamic controller for EBB (electronic brake balance). Use file ctrl_ebb.ini for the controller.
- Added daylight function on "lights" script 
- Added multiple turbo analogue instruments management
- Added server hints on RaceControl screen
- Added TC, ABS, Turbo keys to controller interface (both up and down)
- now TC and ABS can be cycled back through CTRL + SHIFT
- Added Flashing lights
- Showroom: Added video editing camera controls
- Showroom: Added car lights trigger as script "SHOWROOM""LOAD_LIGHTS" (previews are made without car lights)
- Showroom: Added support for extra animations (extra_animations.ini). Numkey_6
- Added blinking light system
- Fixed Volume App not saving bumper audio
- Added jump start
- Added 3 different selectable penalties configurations for jump starts
- Added penalty for "ESC to pits" during race
- Fixed some car/track combination resetting to pits at the start of HotLap sessions
- Improved remote cars movements over curbs
- AI is not making brake mistakes for cars that have ABS available
- Added AI setup functionality. Save any setup with name AI_default and the AI will use this setup for the circuit.
- Different level of engine brake are now selectable by the users on cars that offer the option (Ctrl+E)
- Added graphics smoothing for rigid bodies coming from physics
- Onboard brake bias now follows same limits in the FRONT_BIAS section in setup.ini
- Red lines and indications for gear change in the GUI are now considering damage rpms as well as limiters
- Laps completed indications in the GUI during races now refer to "leader completed laps" and not player completed laps
- Performance Delta app is now using spline position for calculation instead of distance calculated from car speed (less realistic but much more precise)
- New camera view at start, showing car instead of track
- New AI algorithms for race craft
- AI drivers are now much more variable in performance during a single lap and during a session
- "Lights on/off" is now a status of a car instead of a switch and gets replicated over the network properly
- Tyre radius is now also a function of tyre angular velocity
- Fixed self align torque going to negative values too early
- Added ERS simulation with MGU-K, MGU-H, Batteries, energy recovery and deployment limits
- Added active variable rear brake torque. Works in addition to the MGU-K recovery
- Added variable engine brake
- Added key/button commands for above ERS functions and profiles.
- New Tyre Model V10 for selected cars
- Additional general bugfixing on car graphics and some improvements to lods across the entire vehicle content
- 3D improvements on the Nissan R34 Skyline
- 3D improvements on the Nissan 370Z Nismo
- 3D improvements on the Ferrari LaFerrari
- General bugfixes in several tracks
- New clouds textures
- Improved PPeffects
- Improved Weathers
- Fixed GUI not showing on Oculus with PP off and AA on
- Added the possibility to launch sim directly. Add section 
	[AUTOSPAWN]
	ACTIVE=1
	To race.ini then start AssettoCorsa.exe 



1.6.3
- Lamborghini Huracán rear ligths updated to latest racing specs
- Fixed random bug causing a wrong position in the system message at the end of a race
- Fixed pit limiter "clutch cheat"
- Added new skins for Supra mkIV Tuned 
- Added localAngularVelocity and finalFF to shared memory (physics rate)
- acServer : fixed sync message spam
- Corrected Traction_Control.lut files. Initial value must start with 0. Traction control levels are functional again.
- Additional model updates on the Nissan R34 Skyline GTR
- Shelby Cobra model updates
- New Mazda RX-7 Tuned sounds

1.6.2
- Chat app : fixed flicker when receiving message and app is locked
- Chat app : added bold and italic font style support (BOLD=1, ITALIC=1)
- Changed advertising billboards backgrounds from Black Cat County
- Small changes in the MX5 Cup rear suspension bump steer, electronics and brake bias.
- Improved MX5 Cup car tyre heating. 
- Modified RX7 stock camber setup range
- Improved Supra Drift steering geometry
- Improved AE86 steering geometry 
- Corrected Supra front splitter active aero. Now it activates after 60mph/98kmh (it was wrongly set at 60kmh)
- GT3 and GT2 cars have now a default setup with longer 6th or final gear ratio to aid AI with higher top speeds on circuits with long straights
- Some fine tuning on GT3 Balance of Performance
- Fixed backfire issue on Toyota AE86 Tuned
- Fixed cameracar sounds for cars of Japanese Pack
- Fixed Nissan GT3 leds timing
- Improved livery selection previews in the UI
- Full window mirror texture for Oculus
- Oculus pixel per display is now available as setting in Documents/Assetto Corsa/cfg/oculus.ini [SETTINGS] PIXEL_PER_DISPLAY
- Fixed sound samples for the Mazda MX-5 Cup

1.6.1
- Fixed Oculus Rift rendering

1.6.0
- Oculus Rift SDK 1.3 (WIP Pre Alpha)
- Fixed self shadowing on tyres
- Fixed wrong log output
- Dynamic controllers for turbo boost
- Added RPMS input to dynamic controllers
- Implementation of Scalable Apps
- Fixed replay Interface
- Fixed setup info screen
- Fixed race non progression when player is not moving
- Improved MP collision system
- Improved AI fuel handling
- Fixed Hotlap Mode unlocking achievement through not valid laps
- Fixed deltaT for renderAudio
- Bodywork and horn volumes uses engineVolume
- Bodywork's smoothvalue use a different alpha
- Added analogic placeholder for car modellers
- Added option to draw driver's label on focused car (system\cfg\name_displayer.ini -> DRAW_FOCUSEDCAR)
- Fixed CameraCar bad nearplane when forcing camera mode change (see exiting from replay)
- Implementation of Chat App (system\cfg\chat_app.ini)
- SharedMemory: Moved AirTemp/RoadTemp from Static to Physics, old values in static are deprecated
- Timing use also the hour/minutes format
- Fixed GoToPits Cheat to start from the pits.
- Added 4 Wheel Steer systems (Nissan Skyline , Mazda RX7)
- acServerManager : storing Driver data also save the current model/skin, so through drag&drop the saved skin can be used on a new slot)
- Added flags indications for completed session in leaderboards
- F9 overlay leaderboard is now avoiding red colours for better differentiation of opponent proximity indicators
- Added new [ASSETTO_CORSA] SIMULATION_VALUE parameter. Increase the number to increase simulation value. Defaults to 0 for obvious reasons
- Engine performance is now dependent on air density/temperature
- New AWD transmission code, still WIP (Nissan Skyline & Alfa 155)
- Fixed pitstop window not appearing when AI retired some car
- Experimental heating corrections on semislick tyres for Lotus 2-11, Exige Scura, Exige 240 and S3, Lotus Elise SC, KTM X-Bow, Mazda MX5 ND, Toyota AE86 Tuned and Drift
- BOP for GT3 cars
- Improved Mercedes AMG GT3 data

1.5.9
- reverted Realtime app
- Audio : hit and scrape sounds use surface volume

1.5.8
- Tweaked tracks reverb levels
- Tweaked Corvette C7 Stingray idle and exterior volumes
- Tweaked Ferrari 458 GT2 exterior volume
- Tweaked P4/5 Competizione limiter sound
- Fixed Steam achievements limit
- Several special events (quick race mode) have been rebalanced because of AI improvements

1.5.7
- Fixed end race GUI with Post Processing off
- Fixed Alfa 155 rev limiter sound
- Realtime app tweaked for visibility
- Tyre app : customizable wear colors
- F5 camera plays external sounds
- ksPreviewManager : now it's using a file switcher to keep max rendering settings
- ksEditor : fixed error in saving kn5 of a car project
- Rebalanced special events for Tyre Model 7
- Improved timing and removed "smoothing" messages on acServer

1.5.6
- Fixed issues with black mirrors on several cars
- Fixed LaFerrari digital instrument dummy
- Fixed tyre texture on several cars
- Tyre App customizable colors (system/cfg/tyres_app.ini)

1.5.5
- MODDING: BRAKE_POWER_MULT setup option is now correctly expressed in % and can be used for modded content
- Fixed typo on Lotus 98T soft compound slipangle value
- Fixed Lotus 98T engine limiter sound for higher rev limiter than default
- Fixed bad naming on Lotus Exos S1 medium and hard heat curves
- Modified Drift cars steering lock.
- Bugfixing and optimization on Imola, Silverstone, Vallelunga, Spa, Black Cat County circuits
- Improved smoothness of AI driving style
- Improved collisions in multiplayer
- Improved AI fuel planning strategies
- Fixed tatuusfa1 at vallelunga hardcoded achievement
- Added bonnet and bumper internal/external sound switch on Volume App
- mirrors on LODs appearing black issue fixed on various cars (more to come)
- tyre texture bug fixed on all racing cars and skins
- LaFerrari shader fixes

1.5.4
- Fixed motion blur on F6 cameras
- Added support for fahrenheit readings in Tyres App. (set system/cfg/tyres_app.ini [OPTIONS] USE_FAHRENHEIT=1)
- Fixed Corvette C7 Stingray Throttle response and Engine output on low revs
- Some Balance of Performance for Ferrari 458 GT2, more might needed
- BMW GT2 and C7R now have Traction control available with different levels as the 458 GT2. Obviously can be disabled by server.
- Steering geometry improved for drift cars as well some small details here and there.
- Fixed Ferrari LaFerrari and McLaren P1 Kers exceeding engine revlimiter
- slick tyre texture bug fixed on various racing cars
- low-res skin previews fixed

1.5.3
- Fixed Barcelona requiring wrong DLC to start
- Lotus Evora S and S2 model and digital script updated
- Lotus Evora GTE and GTE Carbon model and digital script updated
- Ferrari 458GT2 model, lights and digital script updated
- BMW M4 dash light tweaked
- Abarth 595 (stock, S1, S2) dash light tweaked
- added template 2016_driver in dev
- added old driver model in sdk/dev/content/old_v1.4_driver

1.5.2
- Fixed car reset to pits in wrong way happening even with penalities off
- Fixed crash on 32bit version when using TyreApp
- Fixed track map for Nordschleife Endurance Cup
- Possible fix for audio related crash in Brands Hatch and Silverstone

1.5.1
- Fixed wrong export on Spa

1.5
- New Abarth 595esseesse and S1, S2 upgrades
- New Ford Mustang GT 2015
- New Corvette C7 Stingray
- New Black Cat County track
- Nurburgring gp circuit updated
- Nurburgring gp circuit now with 4 layouts
- Silverstone circuit updated
- Monza circuit updated
- Spa circuit updated
- Nurburgring Nordschleife circuit updated
- Nurburgring Nordschleife endurance cup layout added
- Mugello circuit updated
- Magione circuit updated
- Imola circuit updated
- Drift circuit updated
- Vallelunga circuit updated
- Vallelunga classic layout added
- Vallelunga circuit (all layouts) now has 24 car slots
- Activated time progression in Multiplayer
- All cars updated to Tyre Model 7
- Pitstop are now available in single player races
- Damage is now visible in Multiplayer mode for remote cars
- Launcher: steam overlay support disabled due to stability issues
- Launcher: re-instated multi-process mode for CEF due to stability issues
- Launcher: changes to memory usage policy, more aggressive memory releasing thresholds
- Fixed Lamborghini Miura gearbox damage
- Updated drivetrain upshift and downshift timings for all cars
- F6 inside cameras use internal sounds
- Free camera now honours distance multiplier for sound attenuation
- Of all Drivable cameras only Cockpit uses internal sounds
- Transmission sound can have its own volume (by default it shares engine volume, otherwise it uses the TRANSMISSION value set in audio.ini)
- Gearshift sound shares engine volume
- Backfire sound shares engine volume
- Fixed car sound when bottoming out
- Realtime app shows lapped guys (blue) and lapping guys (green)
- Fixed FuelLapEvaluation function
- Fixed fuel consumption on turbo engines
- Fixed inconsistency on UI tech specs
- Modding : added FormCamera functionality to associate internal/external soundset
- Modding : added console commands "observeLights" and "observeFlames" (work as observeDigital); EDIT_MODE is deprecated
- Modding : added Digital Instrument KERS_CHARGE (percentage)
- Modding : added Digital Instrument TOTAL_LAPS (if session is not race then "---")
- Modding : added Digital Instrument CURRENT_LAP
- Modding : added Digital Instrument EST_LAPS (if est is less than 0 then "--.-")
- Modding : added Digital Instrument AMBIENT_TEMP
- Modding : added Digital Instrument PLACE_HOLDER to avoid fixed digits on texture (use TEXT)
- Modding : added ON_BOARD_LOOKBACK_OFFSET in car.ini
- All tyres now use V7 with brand new heating values (beta: except Exos F1 tyres yet)
- All tyres now use V7 with brand new falloff level and speed (beta: except Exos F1 tyres yet) 
- Changed all tyres flex and pressure relation.
- Changed all tyres footprint and pressure relation
- Modified global aero efficiency with yaw angle. Works on all cars
- Added new aero.ini version=3 with new YAW_CL_GAIN values that can stall wings depending on yaw angle
- Yaw angle stalling wings and diffusers for GT2/GT3 cars and Mercedes C9 and Lotus 98T
- All GT2/GT3 cars now have minimum height 55mm
- 200,400,500,1000,2000 meters drag circuits now available
- Modding : ksPreviewBuilder added to sdk/dev folder
- Python Interface:
	- initFont(fontfamily, italic, bold)
	- setCustomFont(fontfamily, italic, bold)
	- getCameraMode()
	- setCameraMode(acsys.CM)
	- getCameraCarCount(carId)
	- setCameraCar(F6 camera index, carId)
	- focusCar(carId)
	- getFocusedCar()
	- getServerName()
	- getServerIP()
	- getServerHttpPort()
	- getServerSlotsCount()
	- isCarInPitline(carId)
	- isCarInPit(carId)
	- isConnected(carId)
	- getCarBallast(carId)
	- getCarState(carId)
		- eKersCharge
		- eKersInput
- totally revamped backfire system (will not break mods)
- added new F1 "dash camera" and "Chase camera #2"
- CameraManager : fixed issue globalCameraIndex
- Fixed Camera selection on Replay Interface
- Fixed CameraApp to reflect Dash and Chase changes
- Fixed Camera system messages
- Fixed Random camera wrong cameras + message
- added CameraOnBoard offset to avoid car parts on view
- added new driver model with lod
- added Fuel Lut to solve issues with several cars gauges
- SharedMemory : added new members
   - SPageFilePhysics
   		float turboBoost = 0;
		float ballast = 0;
		float airDensity = 0;
   - SPageFileGraphic
   		int isInPitLine = 0;
		float surfaceGrip = 0;
   - SPageFileStatic
   		float maxTurboBoost = 0;
		float airTemp = 0;
		float roadTemp = 0;
		bool penaltiesEnabled = false;
		float aidFuelRate = 0;
		float aidTireRate = 0;
		float aidMechanicalDamage = 0;
		bool aidAllowTyreBlankets = false;
		float aidStability = 0;
		bool aidAutoClutch = false;
		bool aidAutoBlip = false;
- fixed several cars still featuring dashboard "floating" digits
- fixed car scraping volume
- added first implementation of Force Feedback Post Processing (docs in cfg/ff_post_process.ini)
- improved camber calculations
- improved tyre heating on low friction surfaces (grass,sand etc)
- added new "Tyres" app
- Server lap counters and lap times are now 16 bit unsigned ints allowing super long sessions/races
- Ford GT40 fuel tank position fixed
- revamp of all digital displays and script
- revamp of analogue gauges
- Lamborghini Huracan GT3 3D model tweaks
- Lotus Exige S model tweaks
- Various LOD fixes across the entire vehicle content
- BMW M3 GT2 3D model tweaks
- Roof on the LaFerrari is now customizeable
- Emissive values tweaked on some cars to improve visibility with PP off
- Various skin issues fixed
- PP preset improvements
- Improved AI behavior in traffic

1.4.3
- Fixed locked brakes during pitstops
- Weather colors now use colorCurves.ini HDR_OFF_MULT when PP effects are off to avoid super bright fog/clouds
- Fixed shadowmaps in showroom
- Fixed Lamborghini Gallardo S3 automatic gearbox and clutch
- Revisited p4-5/2011
- Fixed blurred rear rims on Lotus 72D
- Tiny improvent on materials of BMW M3 GT2, BMW Z4 GT3, Ferrari 458 GT2, Ferrari 599XXEVO, Alfa Romeo Mito QV, Alfa Romeo 155 DTM, Corvette C7R, McLaren 650 GT3
- acServerManager : added model shortcut panel
- ksEditor : improved node grid tool
- ksEditor : fixed control focus while moving camera

1.4.2
- Fixed crash in Lotus Evora GTC
- Fixed shaders incompatibility with DX10.1

1.4.1
- New formula to correctly deal with lateral grip at positive cambers
- Fixed Lotus 72d max rpm indicator
- Fixed Lotus 72d Engine parts missing
- Fixed GTA wrong transparency interaction between windshield and driver visor
- Fixed GTA blurred rims
- Fixed Lamborghini Gallardo aero
- Improved Lamborghini Gallardo and S3 central differential logic
- Fixed wrong rear hard tyres names on Lamborghini Huracan GT3, Mercedes GT GT3, McLaren 650S GT3
- model updates to the Huracan ST interior
- model updates on the Lotus 72D
- model updates to the BMW 235i
- fixed suspension animation on the Lotus 25
- fixed minor 3D bugs on Mercedes AMG GT3
- added interior light indicator on several cars
- added fuel indicators for some cars
- Abarth Racing "stiching" light fixed
- Lotus Evora GTC/GX headlight texture fix
- various LODs issues fixed on several older models
- tweaks to lights
- various fixes in the UI
- fixed several skin-related issues


1.4
- New reflection rendering system
- HDR now matches real life photographic references
- Improved AI ability to stick to the intended racing line
- Improved AI braking code (able to understand and use locked inside tyre for FWD)
- Vastly improved multiplayer antilag/antiwarp system
- Fixed missing ksBrakeDisc script in all the remaining cars.
- Tweaked wet volume for reverb on high distance
- Tweaked dynamics for Audi R8 Plus interior sound
- New Bmw M3 e30 DTM and Group A exterior sounds
- New font rendering system for dashboards
- Fixed fadeout timing for gravel particles
- Improved digital instruments of all cars
- Fixed some bugged special events
- Tweaked most of the special events to be compatible with tyre model 5/6
- FXAA is now using Kunos' own shader
- Fixed blurred rim/tyres on car with animated suspensions on farther Lods
- ksEditor: added node grid
- Introduced [DRS_ZONES] IGNORE_ZONES in drs.ini to allow road cars to ignore DRS zones (ie. McLaren P1)
- Fixed exaggerate motion blur for some camera modes
- Added serial opponent selection on Options->General: if flagged then opponents skin is not randomly chosen, but alphabetically
- Fixed unrealistic qualify times when session is skipped
- Fixed LaFerrari rear wheels
- Fixed Huracan GT3 model to update it from the pre-season version
- GT3 and GT2 cars tyre heating improvements
- Ferrari 312T Tyre v6
- Audi R8 Plus front torque vectoring and central differential improvements.
- Headlights revised on all cars
- Added missing dashboard lighting to cars where present
- Fixed various LOD issues on a large number of cars
- Car shader overhaul
- Skins fixes and updates on various cars
- Added templates for DP3 cars and Audi R8 Plus
- Optimization across the entire car range (should help with large fields)
- Digital instrument updates
- Fixed collision boxes on various cars

1.3.7
- Improved initial lag when joining a server

1.3.6
- Audi R8 V10 Plus cockpit changeable brake balance disabled
- Tweaked Alfa Romeo GTA default setup
- Ferrari F458 S3 on V6 tyres and small electronic diff tweaks
- Client side anti-lag improvements
- Removed chatty debug log messages in MP
- Tweaked "default" Post Processing effect
- Fixed limiter sound for Pagani Zonda

1.3.5
- New Audi R8 V10 Plus bonus car
- Fixed Nissan GT-R Nismo fuel gauge
- Fixed Mercedes SLS GT3 default tyre texture
- Fixed Lamborghini Huracan GT3 Hard tyres name, causing issue on MP tyre compound restriction
- acServer: fixed issue with timing who caused session skipping
- ksEditor: Added fuel and brakes script tools
- Corrected Alfa Romeo 4c alignment and setup values
- Eliminated wrong tags from Ford GT40
- Works on the tyre heating model continues with new surface rolling heat generation on some cars
- Performance optimization on car multithread physics
- New improved smoothing and "anti lag" systems for both client and server
- Fixed ghost car spawn point
- Fixed dirt effect in replay
- Added unique license plates for each car
- Added new liveries for Lotus Exos
- Fixed headlight indicator in many cars
- Fixed lod issue with BMW E30 GroupA and DTM
- Improved lod switch in some models
- Fixed Alfa Giulietta engine sound position
- Fixed some cars tag typos

1.3.4
- Replay in x64 are now capped at 1Gb instead of 500mb
- Fixed turbo in form gears
- Physics multithread is now disable with less than 4 cores
- Fixed backfire animation on Lamborghini Countach
- acServerManager: admin password is mandatory
- acServerManager: fixed uploader not saving surfaces.ini of multi-layout tracks
- Fixed Lamborghini Countach S1 UI for customers who do not own DLC2 
- Fixed Alfa Romeo 4c peak slip angle value on rear street tyres.
- Fine tuning of tyre heating model for GT2 and GT3 cars. Tyres now might need 2 laps to heat up the core temperatures. Core temperatures are now much more stable during a lap and cool down slower.
- New power loss calculation for GT2 GT3 cars engines
- Corrected rolling resistance calculations for GT2 and GT3 cars tyres
- BMW M3 E30 Drift and M3 E92 drift has new tyre heat calculation following the GT2/GT3 logic. Experimental.
- Balancing of GT3 car performances. The balance does not make all cars equal, but just brings their performances closer. Leagues can now add a small amount of ballast to equalize the cars performances even more.
- Fixed dirt texture and headights in Ferrari 458 Italia
- Fixed headlights indicator on BMW Z4 GT3
- Fixed transparency issue on Ruf Yellowbird
- Added leds to Mercedes SLS GT3
- Fixed TrackIR support for x64
- Added Force Feedback Controller app
- Fixed acServer corruption of internal buffers leading to packet losses
- Added benchmark mode
- Realtime app now uses magenta to signal fastest lap in the session
- New "camera facing" spectators are now controlled by the "world detail" settings. Allowing users with older machines to achieve better FPS
- Minor AI race craft tweaks (a bit faster to change lane but bit less "punchybumpy")
- Remapped some functions associated with numpad "+" and "-"
+/- = Change Force Feedback (disabled in replays)
Ctrl +/- = Change onboard FOV
Ctrl Shift +/- = Change saturation

1.3.3
- Fixed wrong timing in brake disc glow effect
- Improved AI spline road sides at Spa
- AI spline sides now accept CSV with both "," or " " as delimiters
- Fixed tyre collision not using rims at super low tyre pressure
- Added downshift protection parameters to drivetrain.ini to allow individual car tune up
- Tuned up downshift protection (experimental) for the following cars
BMW Z4 GT3
Audi R8 LMS Ultra GT3
Glickenhaus SCG003
Lamborghini Huracan GT3
Nissan GT-R GT3
McLaren MP4 12C GT3
Mercedes SLS GT3
BMW M3 GT2
Ferrari 458 GT2
Corvette C7R
- Force Feedback frequency is now controlled using a more precise setting in assetto_corsa.ini (FF_SKIP_STEPS instead of the old MAX_FF_RATE_HZ)
- Direct Input devices are not initialized with a BACKGROUND flag instead of FOREGROUND
- Set audio channels to 128 instead of 64 in audio.ini
- Added turbo boost information to shared memory
- Fixed tyre vertical stiffness pressure dependency wrongly using ideal pressure instead of reference pressure
- Fixed upshift audio sample not correctly triggered
- Fixed Ruf RT12R limiter audio clicks
- Minor EQ tweaks
- Rebalanced heat distribution as function of camber
- Experimental heat/grip ratio for BMW M3 E30 Drift, BMW M3 E92 Drift, BMW Z4 Drift
- Ford GT40 ui description added
- Ford GT40 corrected setup screen with proper values
- Ford GT40 adjustable engine limiter added
- Audi Quattro dash texture bug fixed
- Huracán GT3 light script fixed
- Huracán GT3 LEDs fixed
- Ford GT40 windscreen frame mesh bug fixed
- BMW M4 tyre 3D model fixed
- Nismo GTR glass transparency issue fixed
- Nismo GTR digital instruments not being visible fixed
- BMW M4 dash lights being inverted fixed
- Audi R8 window transparency issue fixed

1.3.2
- Graphical fixes for Ferrari F40 (s3), BMW M4 and Akrapovic, Zonda R
- Corrected SCG003 Fuel consumption
- Fixed Dual Core CPU crashing due to non properly initialized threading using "Timer Process"
- Fixed replay framerate wrong multiple of physic engine rate producing wrong speeds in replays
- Fixed user force feedback capping the value to 100% on load
- Fixed volume balance (exterior) for some cars
- DX10.1 fixes are not also active for the ksEditor
- Possible fix for colored spectators using new camera facing rendering
- Performance improvement for camera facing spectators when reflections are active
- Fixed Lotus 98T AI tyre strategy (choosing qualify tyres even for tracks that are too long for those)
- Added DRS zones to Nordschleife
- Improved AI lines at Nordschleife
- Slight improvement in AI race craft
- Changed Led on Huracan GT3
- Fixed DLC2 cars lap limit on quick races
- replaced Lamborghini Logos

1.3.1
- Possible fix for DX 10.1 video cards crashing
- DLC2 - Improved lowpass filter for Audi R8 LMS Ultra exterior sound
- DLC2 - Fine tuned some coast crossfades for Lamborghini Huracan and Ford GT-40
- G27 leds now turn off when exiting the simulation
- Now includes correct Linux acServer
- Fixed Nissan GT-R NISMO front suspension to correct damage under full lock.
- Fixed Audi R8 LMS Ultra ABS level 7 value typo.
- Fixed GT40 rear camber setup value range mismatch. 
- Fixed GT40 dampers setting numbering
- Fixed rear ride height evaluation only using left tyre pressure instead of both
- There was a problem with the shipment of the Ferrari 458 S3 trofeo tyres. We have now put them back in your pitbox setup choices.
- Fixed Tatuus F.Abarth rear wing CL and CD typos
- Added car model name to the "User Gain" Force Feedback message

1.3
- 64bit build
- Car physics is now calculated in separate threads
- Fixed KERS disabled in pitlane
- Added soft locks (use [SOFT_LOCK] ENABLED=1 in system/cfg/assetto_corsa.ini)
- Added support for DRS zones
- acServer is now stressing much less Go' GC and should offer more stable performances
- Added FORCE_TGT to force low res timer in assetto_corsa.ini
- acServer is now using Go 1.5, faster GC
- Added server welcome message
- Fixed gear ratio appearing with a double "/" in setup screen
- Fixed acServer unable to read ini values with a "=" character (ex AUTH)
- Fixed driver name displayer not obeying to saved settings in MP
- Fixed acServer not creating "results" folder automatically
- New algorithms to calculate skid volumes and pitch, now working globally in the entire simulation
- Added grain and blister readings in the setup info screen
- Added downshift protection to gearboxes
- Lap count is now reported using 16bit unsigned integer to server plugins
- Now using triple buffer when vsync is on to reduce latency
- Exposure settings are now persistent
- Fixed audio clicks on surface events
- Tyre flat spots are now taking into account tyre softness
- Windscreens now receive shadows
- ksEditor: now it uses the same ingame engine.
- ksEditor: added project menagement
- ksEditor: added user personalizations
- ksEditor: added floating windows and layout system
- ksEditor: added Weather and PPfilter loader  
- ksEditor: added recent files/project management
- ksEditor: added node filter in scene panel
- ksEditor: added Material by Texture in Materials panel
- ksEditor: added scene icons and side function buttons
- ksEditor: added texture detail on Material panel
- ksEditor: added Texture Review windows in Utilities
- ksEditor: fixed reload texture function
- ksEditor: now the default CultureInfo is en-US (number format, ect)
- ksEditor: added FOV, Near Plane Slider, Mouse sensitivity, camera angle and position under Viewport
- ksEditor: added Dashboard tab
- acServerManager: removed some upper limits on parameters
- acServerManager: preset name/description is more clear
- acServerManager: added welcome message
- acServerManager: added qualify limit
- acServerManager: added fixed setup management
- acServerManager: fixed upload on ftp. Now cfg folder is not deleted.
- Fixed driver textures on serveral cars
- Fixed circuit outline on track selection UI
- Camera Dev App now save F1 cameras' exposure and pitch, F6 cameras' exposure, fov and position and angle
- Removed background from Performance Delta App
- Redesigned and faster code for logging
- Tyre model V5 updated for all cars, except 7 still on V4 (backwards compatible)
- Fixed EDL wrong calculation order
- Updated values for cars with EDL systems
- EDL now available on front axis of AWD cars
- Updated NISSAN GT-R NISMO with front EDL system
- GT3 and GT2 cars updated aero stalling for front splitter and diffuser
- GT3 slight performance balancing
- New ABS thresholds for all cars
- New Wheel Offset simulation in suspensions.ini
- New rear active differentials
- New brake steer system for McLaren MP4 12C and McLaren P1
- New tyre heating modelling with separated surface and core temperatures
- New cool factor for tyre cooling relative to air speed.
- Fixed TC digital item showing 0 based index when multiple TC level are available
- Now showing Cold and Hot pressure readings in setup status
- Added "NA" for IMO temps reading when no set has been swapped out
- Added support for track dynamic objects
- It is now possible to join a server using admin passoword and be automatically granted admin rights
- Joining a server with admin password will override the session "closed" status
- Added "ban_id" admin command to ban a user and send straight to blacklist
- Remote cars in multiplayer now generate skidmarks
- Added tyre skids volume onset value in launcher
- Cars still on V4, soon to be updated
Ferrari 312T
Lamborghini Miura SV
Lotus 49
Lotus 98T
Lotus EXOS 125 (and S1)
Shelby Cobra 427.

1.2.5
- Fixed extremely high level of graining and blister at low speeds

1.2.4
- Fixed Mercedes SLS GT3 Hard Tyre short name
- Fixed high resolution timer disable notification filling the log
- Improved ABS, cars will now have correct braking distances while braking on a straight line. 
- Changed all electronics.ini files with updated frequencies for ABS and TC for all cars. 
We advice modders to use RATE_HZ=250 and SLIP_RATIO_LIMIT= from 0.14 to 0.20 for optimum ABS, also use higher frequencies for TC
- Changed brakes.ini for various cars to improve braking. 
- Experimental aero ride height values and stalling on Pagani Zonda R, Huayra and Ferrari 599XX to better simulate what happens in extreme curves like Eau Rouge
- Corrected Mercedes Benz 190E DTM steer rod ackerman geometry
- Adjusted Steer ratio on Lotus Exos and Exos S1
- 3D driver preload animation starts earlier on 458 GT2
- Up to 27% more placebo effect

1.2.3
- Added MAX_BALLAST_KG to server_cfg.ini (defaults to 100Kg if the value is not there)
- 4WD cars now behave better at very low speed
- New ABS code won't allow individual wheel braking and improves stability and directionality
- Fixed clutch remaining unlocked at high speeds in some occasions generating engine "stutters"
- Fixed tyre blankets not working in HotLap and other oddities
- Nissan GT-R new central active diff logic
- Corrected camber sensitivity values for all tyres
- Corrected brake balance for some cars that had heavy oversteering problems under braking
- Various memory optimizations to allow more cars to be used
- Fixed FPS cap to allow precise FPS selection. Please reset your values from the launcher
- Fixed Alfa Romeo 155 autoclutch range for 1st gear starts
- Tweaked tyres skid pitch, especially for race cars with slicks
- acServerManager : added "Create Manager Package" to use this tool on remote machines
- acServerManager : some performance improvements
- acServerManager : added "External Server" to run multiple servers on the same PC.
- acServerManager : weather settings are no more limited to 3

UDP PLUGIN CHANGES
- Added ACSP_VERSION both as command and as incoming message
- ACSP_NEW_SESSION has now a brother ACSP_SESSION_INFO and new format
- New ACSP_CHAT message
- New ACSP_CLIENT_LOADED message
- New ACSP_GET_SESSION_INFO command
- New ACSP_SET_SESSION_INFO command
- New ACSP_ERROR message
- New ACSP_KICK_USER command


1.2.2
- Fixed acd files reading wrong values creating problems with 4WD (possibly other cars)
- Corrected Nissan GT-R Nismo fuel tank capacity
- Corrected Nissan GT-R Nismo auto clutch assist engadgement 
- Corrected Nissan GT-R Nismo weight figure on Interface spech data description (does not affect physics)
- Corrected Nissan GT-R Nismo skins' names.
- Added skin template for Audi Sport quattro 
- Improved Audi Sport quattro skins
- Fixed Alfa Giulietta argento skin
- Fixed BMW Z4 red skin
- Corrected low fuel consumption for Lamborghini Miura, adjusted for the rest of the bonus pack cars
- Corrected Audi Sport quattro S1 turbo pressure dial
- Added DAMPER_MIN_LEVEL in assetto_corsa.ini to allow for some residual FF damping once the car is moving (default is 0)
- Small tweak to relaxation length variation vs tyre load
- Corrected Abarth 500 and S1 semislicks tyre heating and small corrections in alignment and bumpstops 
- Fixed ghost car
- Corrected Alfa Romeo 155 DTM setup antiroll bar missing, plus some minor adjustments in suspension geometry and differentials
- Added ksBrakeDisc shader to allow modders to implement glowing brakes
- Rebalanced cockpit exposure value in some cars
- Removed log messages for Python function "getTexture" because some python app dev thought: "Hey, what a nice function! I will call it every frame instead of caching the result" resulting in >60mb logs and stuttering and 10 years less in the life expectance of the AC support guys

1.2.1
- Reduced Nissan GTR Nismo low speed oddities
- Nissan GT-R Nismo corrected typo bugs from suspension alignment.
- Nissan GT-R Nismo different damper settings. 
- Fixed some skin names who were shown as "0 name"
- Renamed Audi sport quattro red skin to behave as default skin.
- Fixed "Touring cars battle" special event who was not shown in the list
- Fixed F40 door sound in showroom (both variants)
- Fixed AI choosing to go back to pit on last lap if running out of fuel
- Server forced virtual mirror off is now ignored when Oculus is used
- Corrected McLaren MP4 12C GT3 aero map to be slightly more rear bias.
- Fixed Zandvoort track map.
- Fixed Road Temperature generation in acServerManager

1.2
- Balanced interior and exterior volume for all cars
- Updated Fmod example project
- Updated Fmod pipeline document
- Fixed some rare FMod crashes
- Fixed bodywork sound when stand still for some cars
- Fixed typos for career descriptions
- Fixed Ferrari 458 and Giulia GTA sound pan
- Fixed flags position for triple screens users
- Fixed replay doesn't show smoke
- Fixed sun visible through barriers
- Fixed flying crew at Mugello 
- Fixed delay before gear shift recognised
- Fixed keyboard controller and mouse steering
- Fixed rare pit stop repair bug when clutch is pressed
- Fixed wrong player is selected in the drivers list
- Fixed showroom crashes with Motion Blur enabled
- Fixed tyre blankets weird behaviour
- Fixed front wheels size on Lotus Evora
- Fixed Pagani Huayra broken mirror
- Fixed missing BMW M3 Gt2 rear tow
- Fixed cars already damaged starting a gameplay session at Ring
- Fixed BMW M3 e92 red patch on headlights
- Fixed P4/5 Competizione static calipers
- Fixed 599xx Evo weird LOD effect
- Fixed blurred rims missing from LOD C on some cars
- Fixed fuel calculator on Setup UI
- Fixed 500 Abarth skin issues
- Fixed pit crew panels in Chevy C7r and Nissan GT-R GT3.
- Fixed some broken Steam achievements
- BMW 1M has stock liveries; the previous ones are assigned to the S3 version
- Added FOV system message when using +/- to change the value ingame
- Added visual indication for suggested eyes position and actual eye position for Driver Eyes Positioning app
- Added "Auto Pos" button in Driver Eyes Positioning app to automatically move the eyes position to the suggested value
- Added Exposure system message when PGUP/PGDOWN are used to change the value ingame
- Improved AI. AI cars can and will overtake slower cars, lose their stability easier, can oversteer occasionally. 
- Tyres now have a short name that is visualized on the classification, so that players can know which tyres the AI is using. 
TYRES SHORT NAMES
SV= Street Vintage
ST= Street
SM= Semislicks
SS= Slicks SuperSoft
S= Slicks Soft
M= Slicks Medium
H= Slicks Hard
SH= Slicks SuperHard
HR= Hypercar Road
I= Intermediate
V= Vintage
- Fixed tyre - kerb hard collisions
- Adjusted realigning forces from tyres.
- Active differentials
- New Alfa Romeo Mito Quadrifoglio Verde
- New Audi Sport Quattro
- New Lamborghini Miura SV
- New Nissan GT-R Nismo
- New Toyota GT-86
- New Zandvoort circuit
- New interior soundset for 500 Abarth (shared with Alfa MiTo and Tatuus FA01)
- Added dynamic controllers to drivetrain (Nissan GT-R Nismo)
- Added FF low speed reduction factor to avoid oscillations when the car is stationary. (check system/cfg/assetto_corsa.ini [LOW_SPEED_FF]]
- Multiplayer - Added checksum checks for tracks using the new config system
- Multiplayer - Removed "Track List" feature from AC Server
- Multiplayer - Added "IS_OPEN" key to "[RACE]" to lock new players from joining a race. 0=CLOSED, only players coming from the previous sessions are allowed in. 1=OPEN, players can join during a race. 2=OPEN DURING WAIT TIME, players are allowed to join during the wait time only
- Multiplayer - Fixed collision not triggering correct samples
- Multiplayer - Added weather settings to the server side
- Multiplayer - Fixed tyres glued to the road for cars without animated suspensions
- Multiplayer - Added possibility to limit tyre choice
- Multiplayer - Added Server Plugin Auth system to AC Server for customized user authentication. AUTH_PLUGIN_ADDRESS in server_cfg.ini
- Multiplayer - Added Server UDP Plugin for realtime data input/output from AC Server (check example C# application and UDP_PLUGIN_ADDRESS in server_cfg.ini)
- Multiplayer - It is now possible to complete last lap during Qualify & Practice
- Multiplayer - Fixed /client_list not showing local car ID
- Multiplayer - Added first ballast implementation (use /ballast [carid] [kg] in the chat as admin or entry list)
- Multiplayer - At the end of a race now the system goes "Race Control" view with leaderboard and chat
- Multiplayer - Exit button in ESC menu is now at safe distance from the others
- Multiplayer - Added option to force virtual mirror ON from AC Server
- Multiplayer - Added acServerManager into server folder.
- Added realtime "relative" time app
- Added glowing brakes graphics effect. [DISCS_GRAPHICS] in brakes.ini
- DRS can now be turned off with the DRS button and not only by braking
- AI grip on corner exit is now more realistic
- Improved loading time ~1s faster per car
- Game timing is now using high resolution timer unless a drift is detected and the timer is switched to 1ms resolution. This improves FPS CAPS and general fluidity
- Tyres and rims now stay blurred when replay is paused
- Auto shifter has now its own dedicated section in drivetrain.ini [AUTO_SHIFTER] and does not share it with AI any more
- Air density calculation is now using temperature as input
- Proximity indicator now scales with resolution
- AI now properly brakes in time to hit 80Kmh in the pitlane
- Fixed discs object not properly switched with LODS
- Better driver gearshift preload on first gear
- Fixed strong tyre vibration around 40 kmh
- Added EBB (electronic brake balance) support
- Removed user FF damper settings from GUI and setups. FF damping is only used for stationary cars (hard steering wheel feel) and it is controlled by wheel drivers
- Removed limits from Driver Eyes Positioning app
- Kers is now recharged in pits
- AI is not using "Trail Hint" anymore

1.1.6
- Fixed no collision bug between first 2 cars in the server list
- Fixed TCP connection getting dropped for timeout
- Fixed Pagani Huayra rear wings animation bug, wrongly connected to the animated suspensions on the last update. Physics unchanged and unaffected
- Updated suspension on LaFerrari, missed on last updated due to time constrains
- Fixed server output for "LAP WITH CUTS"
- Fixed KERS not recharging when car is reset
- Telemetry speed graph is now autoadjusted for max speed
- Fixed animations running at wrong speed during replays
- Fixed CPU time in render stats with negative numbers on PC with timer drifting
- Fixed pitstop automatic controller not pressing the clutch and sometimes leaving the car moving away
- Fixed Essential and RacePosition app wrong values in replay mode
- Fixed Leaderboard in online races
- Added flags, penalties, kers to the shared memory
- Fixed wrong tyre temperature value in the car setup screen
- Fixed crash if a non existent PP effect is selected
- Fixed problem with TAB leaderboard on change session
- Removed invalidation message from drift and time attack modes
- Change camera button can now be assigned properly to another key
- Fixed penalties on time attack
- Fixed bad rear pressure slider placement on Lotus 2-11 setup
- Default launcher theme: skip YouTube device support message
- Ferrari F40 S3 brake bias adjustments in setup
- Mclaren F1 GTR front left Toe-in setup slider value fixed
- Added Fuel pressure (shows fuel quantity) to BMW M3 E30 DTM and Group A
- Fuel indicator working for Alfa Romeo GTA, Lotus 2-11, Lotus Elise SC, Lotus Exige 240, Lotus Exige Scura, Lotus Exige S & Roadster & V6cup, Lotus Evora S & GTE & GTE Carbon, Mercedes SLS, McLaren MP4 12C, Pagani Huayra
- Corrected fuel indicator scale for BMW M235iR, McLaren P1, Shelby Cobra
- Working LCD screens for Mercedes 190 DTM EVO 2, Mercedes C9 LM. 


1.1.5
- Changed BMW M235i Racing fuel tank capacity to 85l
- Changed graphical size of front tyres of Lotus Evora S
- fixed difficulty level on Special Events
- weather light normalization
- Updated FMod to 1.05.14 - probably you need to rebuild your banks
- New Fmod SDK project, please read the provided txt in the project folder
- New LaFerrari sound set
- Improved stereo image
- Fixed sound displacement for 4.1 speakers configuration
- Fixed abnormal pan settings for 458 Italia samples
- Corrected typos on LaFerrari tyres and adjustments on vehicle balance
- Corrected typos on Nissan GT-R GT3 tyres
- Added dampers settings on BMW M235iRacing and Alfa Romeo 155 Ti V6
- Adjusted McLaren F1 GTR bonnet camera inclination
- McLaren P1 now has an active aero brake rear wing as per McLaren latest software update.
- Fixed rear left brake caliper on BMW M3 E92
- Fixed center rear mirror on Lotus Evora S
- BMW 1M lights fixed
- Fixed setup toe alignement bugs for Lotus Elise SC S1,S2

1.1.4
- Alfa Romeo GTA aero drag correction. Laptimes will be slower now.
- McLaren P1 is now simulating diffuser stall from front active aero that provokes dirty air
- LaFerrari is not simulating diffuser stall from front active aero that provokes dirty air
- Corrected instrument panel with more information on Alfa Romeo 155 Ti V6
- Corrected instrument panel for Pagani Zonda R
- Corrected instrument panel for McLaren P1
- Corrected instrument panel for KTM X-BOW R

1.1.3
- Launcher default theme (online): added option to filter out servers that contain unavailable content
- Launcher default theme (online): fixed sorting after a refresh issue
- Launcher default theme: added option in Options > General to keep currently selected track conditions when changing game mode
- Launcher: various stability fixes
- Fixed some audio crash on unexpected values
- Fixed C9 exterior backfires
- Fixed C9 exterior attenuation distance
- In game telemetry now works properly with track-config scenario
- HDR app now correctly disable saving button for KS cars onboard exposure
- New Fmod SDK project (added gear_grind and horn events)

1.1.2
- Fixed lap time detection system missing first laps
- Improved Physics Time Occupancy % (PHY) in Render Stat Form
- Improved overlay leaderboard to show millisecond accuracy gaps for Qual and Practice session and "PIT" indicator for pitted cars
- Fixed McLaren P1 wing always down in multiplayer
- Fixed cars not locked in pits when not starting after a multiplayer session was restarted
- Added option to suppress log in assetto_corsa.ini
- Fixed replay timestamps on the timeline
- Fixed useless yellow flags on race start
- Fixed getTrackConfig Python API returning wrong string
- Launcher: added forced exit timer on shutdown
- Launcher: added more details in content loading errors

1.1.1
- Launcher: new option in Options > General to ignore Windows' display scaling
- Launcher: launcher will now reset to default theme on version change
- Launcher: potential fix for rare crash on exit
- Launcher default theme: further additions to the handling of missing/problematic mod content
- Added Visual Studio DLLs
- Now correctly set replay speed for replay files recorded with older versions of AC
- improved exterior m235i backfire envelopment
- Corrected C9 numbers on skin
- Corrected Alfa GTA tyres naming
- Custom post processes are now correctly located by the launcher in Documents/Assetto Corsa/cfg/ppfilters


1.1
- Added ai-hints
- New penalty system
- Added Kick Quorum to the server
- Fixed sound pops and clicks for some cars engines
- Fixed traction control sound events
- Fixed Tatuus FA01 limiter sound
- Improved sound dynamics under load for some cars
- Launcher: more graceful handling of missing/problematic content
- Launcher default theme: personal best time grid filtering by car/track added
- Fixed blank resolution box
- Fixed missing sound events
- Fixed crashes volume
- Reworked envelopment for interior and exterior sounds
- Higher exterior volume for surround speaker configurations
- Fixed tyre fake shadows in slowmo replay
- Improved AI
- Added custom head movements per car (driver3d.ini)
- Driver helmet/head now cast shadows in onboard camera
- Added custom weather selection
- Improved Pedals App
- Rendering performance optimizations
- Particle rendering optimiziations
- Render Stats form now features units
- Added "final" damage for high speed impacts
- Added quality settings to replay that allow up to 4x longer replays
- Fixed driver shift preload animation at race start
- Fixed camera car not using FOV value
- Fixed AI choosing wrong (slow) tyres
- Updated FMod to 1.05.13
- Updated Fmod SDK project (minor envelopment improvements)
- Tweaked exterior reverb parameters
- Tweaked envelopment values for some sound events
- Improved positional surface sounds
- Fixed wind and tyre rolling noise
- Fixed doppler effect for rev limiter and horn
- Fixed FOV in mirrors, now editable in system/cfg/assetto_corsa.ini
- AI race starts greatly improved
- Fixed wrong shadow resolution when moving through F6 camera car cameras
- Fixed graphics not following dynamic track grip levels in Multiplayer
- Fixed "fast" height evaluation for validating setup ignoring tyre pressure
- FPS caps is now compatible with the new 1ms resolution timer
- Suicidal server admins are now a protected species and not allowed to kick themselves anymore
- Adjusted fuel consumption for most of the cars
- UI now understand fuel range relative to car and track and adjust maximum race lap count automatically for quick races and race weekends against the AI
- Added 4WD simulation in drivetrain.ini
- Added live axle suspension geometry
- [DATA] section in aero.ini is now obsolete and must be eliminated. HEADER=2 is mandatory if damage is used.
- AC now support multiple configurations on circuits
- A to B gameplay options for hillclimb tracks and specific circuits that support.
- Tyre pressures can now be shown in digital_instruments.ini
- Limited static weather situations can now be selected from the UI. Weather is also moddable.
- Time Attack now has a global multiplier that controls the amount of time available for the first checkpoint.
- Customizable TrackIR rotation range.
- Chat window now supports full Unicode charset

1.0.4
- Fixed some stuttering

1.0.3
- Switched to a different timer to avoid time drift with software overclock caused by Windows or Motherboard drivers bugs

1.0.2
- Fixed wrong impact speed calculation for car to car contact resulting in too much damage
- Fixed possible wrong grain calculations when tyre has no load
- Fixed car bottom not colliding with road
- Fixed bottom collision box for Mercedes SLS GT3, Lotus Evora GX and GTC, Ferrari 312T, Pagani Huayra
- Fixed wrong camber for remote cars on multiplayer

1.0.1
- Ruf CTR Yellowbird added
- Added /client_list and /kick_id server admin commands to ban drivers with international character names
- Fixed caret bliking period for text input boxes
- Disabled OculusVR demo mode
- Now blurred wheel objects work properly on car lods
- Added support for brake lights dimmed when car lights is on
- Server now correctly answer to launcher in LAN mode

1.0
- AI now brakes better in the pitlane
- Fixed problems with remote car colliders not properly turned off when disconnected
- Fixed DRS triggered from wheels
- More robust session status sync between server and clients
- Improved feedback to the kicked or disconnected user
- Improved car height calculation for a more uniform setup validation
- New Alfa Romeo Giuletta Q.V. 2014 Launch Edition 
- Eliminated FFB vibration at 30kmh
- Updated tyre model for all cars
- Corrected bug in F40 old and street tyres
- Modifications on Lotus 98T and F.Abarth Aero map
- Modifications in engine brake on some cars
- Improved post processing effects 
S1-Dynamic
S1-Sport
S1-Movie
S2-Photographic
S2-Retro70s
S3-Vignette
- New post processing effects
S1-Evolution
S1-Expanded
S1-Filtered
S1-Soft
S2-B&W
S2-B&W - HI
S3-Sepia
- New and improved photomode feature. Photomode activates from the replay User Interface
- New carbonfibre shader for cockpits of: bmw z4 gt3, bmw m3 gt2, Ferrari f40, Ferrari 599xx, Ferrari 458 gt2, ktm xbow, lotus evora gtc, lotus evora gtx, mclaren mp4-12, mclaren mp4-12 gt3, p4/5, tatuus
- Dirt layer optimization
- New skins for some cars, more to follow
- Small bug and fixes on trento bondone, magione, Spa Francorchamps
- Fmod project updated: no critical changes, just check volumes and envelopment for each event and mixer groups
- New sounds for Lotus Type 49, Ferrari F40 and Ferrari 312T
- Audio latency level can now be set in the launcher: available options are Normal, Low and Very Low
- Fixed FMod bug in multiplayer mode causing FPS drops
- Fixed wind volume for both stereo and surround configurations (default value: 0.7)
- Fixed bodywork sound audible for some cars when standing still
- Improved exterior sounds spatialization for surround speakers configurations
- Improved and balanced gearshift, backfire and limiter sounds
- improved positional sound for surfaces 
- Overall volume balance
- Other minor audio fixes and improvements
- Added cutscenes for some of the career series.
- Improved algorithm for AI level while racing should give closer racing
- Inverted steering wheels and negative camber corrected for multiplayer clients
- Multiplayer basic admin tools:
Added simple admin commands using the chat window. It is important to set the "ADMIN_PASSWORD" in the server_cfg.ini file, an empty ADMIN_PASSOWORD will disable admin commands.

/help: prints the list of the available commands
/admin: become administrator for the server. ex, if the password is "kunos" the command is "/admin kunos"
/next_session: moves to next session
/restart_session: restart the session
/kick: kick a user using the rules (blacklist etc) of the server. To kick a player named "The Player": /kick The Player

- GT2 and GT3 cars, F.Abarth, Exos and Exos S1, M3 E30 GrA and DTM have now the modified tyre model
- LaFerrari has modified active aero and tyre model
- BMW M3 E30 street car has modified tyres (all compounds) as an example of street tyres new model.
- GT2 and GT3 cars have now the "old" FFB gain settings in their physics. Obviously the min FFB slider still works on them too. Please try and report back
- Zonda R, Huayra, 599XX have now tyres that are more load sensitive and more speed sensitive. Laptimes should be slower. Please give feedback on driving feel. Keep in mind you're going to be slower, give it some time.
- Minimum FF force implemented. Can provoke STRONG vibrations in the center zone, use as low as possible!
- All cars have new FF gain values to eliminate FF clipping. You might need to raise your FF gain values on your configuration or add a bit of minimum. Advice 0.12 for logitech wheels, much lower for other wheels. Experiment and report on beta forums
- Difficulty level slider on career
- Much more laps possible on single player quick and weekend races when fuel consuption is off
- Added diffuser stall on low speed for tatuus formula Abarth.

1.0.10 RC
- Fixed excessive logging coming from mods accessing textures
- Audio latency level can now be set in the launcher: available options are Normal, Low and Very Low
- fix for FPS drops in multiplayer due to audio
- Fmod project updated: no critical changes, just check volumes and envelopment for each event and mixer groups
- fixed wind volume for both stereo and surround configurations (default value: 0.7)
- improved positional sound for surfaces 
- overall volume balance

1.0.9 RC
- Correction of  Lotus Exos 125 and Exos 125 S1 drivetrain bugs with differential at 90% and automatic clutch
- Fmod: update SDK project and pipeline document - MODDERS, UPDATE YOUR WORK PLEASE!
- improved distance attenuation for opponents
- fixed skid volume

1.0.8 RC
- Audio hotfix
- Fixed career intro issue

1.0.7 RC
- Updated FMOD project (SDK\Audio folder)
- Fixed Fmod error handle caused huge log file (and stuttering in some cases)
- Improved overall volume balance
- Fixed opponents volume and attenuation during gameplay. Situational awareness much improved
- Optimized average number of channels used in FMod with many opponents
- Balance adjustments on BMW Z4 GT3 performance
- Balance adjustments on Ferrari 458 GT2, Mercedes SLS GT3 and Formula Abarth fuel consumption
- Mercedes SLS GT3 Traction Control and ABS levels corrections

1.0.6 RC 
- Launcher default theme: fix for opponent skin selection method
- Launcher default theme: fix for special event opponent level
- updated FMod project for modders (in SDK\Audio folder). Please use Fmod 1.05.03 - pipeline still WIP
- exposed MAX_CHANNELS parameter in assetto_corsa.ini. Lower to 32 ONLY IF you experience stuttering/missing audio during gameplay
- fixed missing backfires for some cars
- optimized FMod thread occupancy
- Lotus 98T qualifying turbo and engine rev damage balancing

1.0.5 RC
- fixed acServerLaunchers not serializing Tyre Blankets option
- Fixed "Force On" ABS and TC settings not working as expected
- (WAITING FOR CONFIRMED FIX) Fixed AIM telemetry not loading
- Fixed server not sending the right JSON and not showing up properly in LAN
- Fixed some problems with showroom rendering
- Time Attack : time stops while in pause
- Fixed engine sound missing when session starts (camera rotates around the car)

1.0.4 RC
- Fixed server not properly freeing slots leading to many "no slot available" messages
- known issue: engine sound missing when session starts (camera rotates around the car)
- fixed interior engine sound went muffled in the previous update
- fixed digital clicks coming from AI during fast coast/load transitions
- fixed sound clipping (tuned compressor when many cars are involved)
- fixed opponents distance attenuation
- fixed positional sounds for skids
- improved overall volume balance
- fixed some bodywork samples playing when still
- fixed some sample loops
- improved engine spatial position depending of real car engine position
- improved LaFerrari low freq for interior sounds

1.0.3 RC
- Triple screen rendering fixes
- Launcher default theme: server listing behavior change on server selection
- Launcher default theme: list now scrolls to selected server when server name clicked in detail panel
- updated Fmod 1.05.03 (some volume / fading sound issues may occur. Feedback is appreciated)
- fixed audio.ini missing opponents volume value
- fixed opponents volume and attenuation
- reworked distance attenuation management
- tweaked exterior reverb
- fixed wind volume curve
- fixed interior sounds spatial position (for surround configurations)
- fixed exterior sounds envelopment
- fixed surfaces sounds envelopment
- tweaked overall throttle crossfading
- fixed SLS idle sound and some crossfades
- overall volume balancing

1.0.2 RC
- Corrected KTM X BOW factory ABS setting to non enabled.
- Corrected fuel tank placement for Alfa Romeo Giulietta Q.V. 2013
- Corrected setup options for Alfa Romeo Giulietta Q.V. 2013
- Corrected Gearbox ratios for Alfa Romeo Giulietta Q.V. 2013
- Corrected flames position for Mercedes SLS AMG GT3

1.0.1 RC
- Fixed Oculus IPD reading
- Fixed missing grinding sound for Evora S and its variants
- Improved 458 GT2 exterior sound on high rpms
- Tweaked attack and release times for some sound events
- Disabled track-related reverb zones causing audio downmixing and panning issues

0.22.24beta
- Fixed 458 coast sound around 3k rpm
- More balanced interior volumes
- Tweaked track reverb zones for all tracks
- Balanced tractioncontrol_ext, backfire_ext and limiter volumes and distance attenuation
- Tuned compressor in order to prevent clipping with many cars and external views
- Lowered Alfa Romeo Giulietta QV and KTM exterior volume

0.22.23beta
- Fixed Shelby Cobra natural rpm reference for some samples
- Overall volume balancing (exteriors are now louder)
- Overall interior balancing (thanks for testers report)

0.22.22beta
- Deprecated files removed from sfx folders
- Added track reverb zones
- Balanced volume and distance attenuation for extra sounds (TC, skid, gearshift and so on)
- Fixed Traction Control always engaged in particular conditions
- TC and ABS factory settings now work properly
- Blistering generates slight vibrations on steering wheel

0.22.21beta
- New BMW Z4 GT3 exterior sound
- Tuned Ferrari 458 GT2 exterior sound
- Overall volume balancing
- Tuned distance filter and attenuation for exterior sounds
- Balanced performances for GT2 cars
- Engine damage implemented for all cars
- Lotus 49, Lotus 98T, Ferrari 312T have lower default rev limiters. Can go over 100% but damage may occur on higher revs
- Improvements on digital instruments cockpits for various cars

0.22.20beta
- added sounds for pitstop
- added sounds for tyre puncture
- added track reverb on modern Monza
- added different sounds for car to car, car to objects and car to track collisions
- fixed limiter/TC sound clicks
- overall volume balancing in order to prevent sounds compression (volume fluctuations)

0.22.19beta
- improvements on automatic gearbox on various cars
- more balancing on GT2 and GT3 cars
- various updates on tracks
- Built with FMod 1.05.02 (known issue - traction control and rev limiter events sound weird)
- New 458GT2 interior sound set
- Overall interior samples volume correction and balance
- Overall exterior samples volume correction
- Tuned wind and tyre rolling volumes and curves
- Tuned kerb pitch and volume according with speed
- Tuned ambience(crowd) volume
- Tuned interior and exterior gearshift sounds


0.22.18beta
- Steer animations for Ferrari 458 S3
- small fix on the front Pagani Zonda R tyres
- Aero map changes for GT3 and GT2 cars. (balancing performances)
- LOD4 for most of the cars
- LaFerrari final(?) physics

0.22.17beta
- modifications on driver position for F458 GT2, LaFerrari, Mercedes SLS GT3
- drivetrain damage for cars with H shifter gearboxes.
- suspension damage for all cars. to balance and verify
- changes to aeromaps for GT2 and GT3 cars.
- adjusted graining effects on exos, exos s1, f.abarth
- traction control sound now works for all cars
- fixed horn sound distance (where available)
- fixed open/close doors sound


0.22.16beta
- BMW M3 E92 , S1 , Drift wheels and rims 3D pivots modification (check replays if they appear ok)
- BMW Z4, S1, Drift wheels and rims 3D pivots modification (check replays if they appear ok)
- Adjusted graining values for Lotus Exos and Exos S1 tyres
- Added tyre blankets under realism tab. The setting is global for all cars and pre heats tyres at 80 C


0.22.15beta
- Aero damage for F312T, L98T, Exos, Exos S1, Tatuus F.Abarth
- Pit stop fixes & improvements
- Built with FMOD

0.22.14beta
- Linear Career now available. Go to Options/General and enable Linear Career from UI modules
- Lotus Evora GTE Carbon
- Lotus Exige S
- Mercedes SLS AMG GT3
- Ferrari 458 GT2
- Ferrari LaFerrari
- Spa Francorchamps
- Silverstone National
- visual damages enabled
- New effects enabled, heat shimmering, god rays etc. Fine tuning will follow in the next updates
- new drivers
- fmod sound engine active for most original cars
- BMW Z4 GT3 aero balancing, rear wings stalls more on low values
- KTM blistering/graining bug corrected


0.22.13beta
- Steam Workshop manager added to sdk folder

0.22.12beta
- New TCP/UDP server

0.22.11beta
- All tyres have graining and blistering enabled
- All tyres have rim radius 

0.22.10
- Improved motion blur
- Fixed multiplayer endrace with pause menu on
- General improvements
- Fixed editor animation export

0.22.9
- Allow the user to disable Python support changing ENABLE_PYTHON inside gameplay.ini

0.22.8
- Changed Vertex and Index Buffer handling

0.22.7
- Pause on/off is now in sync with physics thread

0.22.6
- Small fixes on graphics init

0.22.5
- Tune default Post Processing effect (fixes dark screen on default Post Processing settings)

0.22.4
- SHARED MEMORY LAYOUT IS CHANGED!!! UPDATE YOUR SOFTWARE
- Default setup for GT3/GT2 cars are now a bit higher to avoid invalid setup. By rules, such cars must not go under 60mm ride height.

0.22.3
- Fixed Nurb. Sprint track map

0.22.2
- Race Rules are checked each time the user presses the button
- Fuel changes trigger Race Rules checking
- Slightly modified P4/5 Competizione default ride height

0.22.1
- Assetto Corsa does not crash on missing files and errors (enabled mods with errors again)
- Correction on alignment values on Mercedes SLS AMG setup screen
- Corrected Monza ideal line

0.22
- In-game apps must now be enabled in the game's launcher under Options > General
- Added new car Mercedes SLS
- Added new track Nurburgring Sprint
- Tyre model modifications, more direct and "alive" FFB on all cars. We advice less FF "effects"
- AI modifications for Mercedes SLS AMG & McLaren MP4 12C street
- fixed drag race
- all cars with H pattern manual gearbox, when used with paddles, can now enable autocut-off autoblip assist properly. The timings are slower than what you can achieve with an H shifter hardware.
- Fixed multiplayer leaderboard logic
- Fixeg bugs in multiplayer GUI
- Overlay leaderboard implemented (Press F9 to cycle between 4 different modes)
- Fixed horn & lights in multiplayer
- Graphics & CPU Performance improvements
- Multiplayer Blacklist system improved
- Intro video at first launch, possible to disable it from options
- Replay Size reduced
- Replay frame interpolation improved
- Time Attack : fixed crash when trying to load open tracks & lap estimation formula improved
- Setup Force Feedback setting page improved
- ksEditor : notify when skinned mesh is imported with a wrong scale
- ksEditor : fixed IN/OUT camera normalized start-end position not rendering on spline during camera editing
- Fixed small random flashes during gameplay
- Added dedicated leaderboard APP
- Updated TAB key ingame leaderboard with a new look and functions
- Skidmarks start shape fixed and rendering is now faster
- Python apps can be enabled / disabled from the launcher
- Fixed bug "return to pits and lap counting in some special cases"
- Added Python camera control
- Fixed tyres jittering at low speeds
- Fixed missing wheels when AI car brake its engine and goes to pits
- Physics related rules : now cars must respect their defined set of rules in order to run on the track
- Track cameras now place the car in the middle of the screen
- Post Process App selector : fixed loading of default ppEffects.ini
- AI improvements
- Improved Drag AI
- Skidmarks are now disabled when setting World Detail to minimum
- Dynamic track randomness now less pronounced

0.21.13
- Fixed Drag Race init

0.21.12
- Python :: exposed getCarsCount(), getCarLeaderboardPosition( carIndex ) , getCarRealTimeLeaderboardPosition( carIndex )
- Now fonts are read locally and not inside system folder

0.21.11
- Graphics performance improvements
- Fixed PP FXAA
- Improvements on Font management
- Linux server in server folder

0.21.10
- GUI fixes
- Replay now records the sun position
- Fixed replay and Esc Menu interactions

0.21.9
- Fixed skidmarks not visible in 0.21.8
- Implemented GPU profiler with new PP engine

0.21.8
- RaceControl Leaderboard Fixes
- Mirror Aspect Ratio Fixed
- General fixes on  multiplayer GUI
- White border on skidmarks fixed
- Size of the sun reduced
- Reduced noise for analogic input
- Driver's name is printed higher respect to the center of the car

0.21.7
- Launcher: control configuration device acquisition exception handling
- Launcher default theme: minor cosmetic changes to labels

0.21.6
- New Race Control
- Server is now in control of fuel rate
- Server is now in control of tyre rate
- Server is now in control of damage level
- AI does not flatshift cars with no autocutoff anymore
- Added "transfer" grip from session to session
- AI cars now try to park on the side if they have a broken engine

0.21.5
- Launcher: control configuration now includes assignment option for the newly implemented handbrake as axis (note: mutually exclusive with the button assignment)

0.21.4
- Improved communication with X360 GamePad
- Added password support for pickup servers
- Improved Server Configurator
- Server will now stop with an error if a booking session is added in pickup mode 
- Server will now stop with an error if cars in the entry list do not match the legal car entries in the server_cfg
- Server will now stop with an error if multiple tracks are selected in pickup mode (unsupported feature)
- Server will now correctly report to race lobby about the available seats in pickup mode

0.21.3
- Launcher default theme: adjustments to multiplayer session info/request buttons

0.21.2
- Adjusted Traction Control assist on Lotus 98T
- Added app "post process filter" to switch between different Post Processing effects combinations
- Adjusted Lotus Evora S side windows

0.21.1
- Lotus 98T ride height adjustments added
- Launcher default theme: adjustments to car listing of non-booking servers

0.21
- Multiplayer Improvements : New server version available
- Multiplayer Gameplay improvements
- New Post Processing Effects engine implemented
- Implemented booking-less server joining
- Physical Dynamic track implemented
- Aerodynamic slipstream on multiplayer
- Shader fixes and improvements
- Time Attack fixed start with too much time
- Fixed AI starting at the same time in qualify
- AI improvements, better gas control and understeer detection
- New Car : Lotus 98T
- lotus elise sc, exige 240R, scura, exige s roadster speedometers corrections
- changes in speedometers visualization depending on UI options and car design
- Tyre damping modifications for all cars
- Ideal Line improvements
- Improved Python Apps error handling on loading
- Dynamic wing controller now use setup value as initial angle value.
- Localization fixes
- Time Difference displayer improved
- Fixed camera triple screen & driver names
- Fixes in Replay for cars with animated suspensions
- Fixed "You have been sent to pits" issue
- GUI forms default position not overlapping with system messages anymore & GUI Improvements
- Showroom updated with the latest graphic engine improvements
- ksEditor updated with the latest graphic engine improvements
- Per-Car New setup option to customize Force Feedback
- Disabled AI in multiplayer events
- Replay size reduced by half
- Fixed crew placement in multiplayer events
- Virtual mirror remembers its last state & virtual mirror improvements on triple screen cfg
- Fixed mirror rendering bug
- Adjustable brake balance while driving, for cars that support the feature
- Adjustable brake balance in the physics brakes.ini file
- Brake balance working with all the control configurations
- Fixed wrong time reported after Booking

0.20.6
- Launcher: Added KERS, DRS to control configuration screen.
- Launcher: Window now scales based on DPI of active monitor.
- Launcher default theme: Car & track listings now always default to the page containing the player's selection.
- Launcher default theme: Custom grids are now sortable via mouse drag'n'drop.

0.20.5
- TEMPLATE_CAR_demo_V1.fbx now included in sdk/dev/car-pipeline-v1.03 . Template will be updated again next week with better example
- McLaren MP4 12C GT3 corrected RPM leds in cockpit
- Comments for obsolete section in physics files.

0.20.4
- Launcher: further stability fixes for triple-screen setups
- Launcher: launcher render size limit slider (useful for triple-screen setups) in Options > General

0.20.3
- Launcher: stability fixes for triple-screen setups.

0.20.2
- Fixed wings animations in replay
- Frequencies and damping ratio work for front monoshock
- Dynamic wing controller now uses setup value as initial angle value
- Shaders normal map improvements
- KS Suspension editor. A simple editor for your suspension.ini file that gives some additional data
- KS Gear Ratio editor. A simple editor that creates gear ratios from cogs

0.20.1
- Launcher: optimizations for ultra high resolution and triple screen setups
- Launcher: GPU memory usage limit
- Fixed no collisions in multiplayer

0.20
- New setting enables forms to overlap ingame
- Fix to some cars in showroom
- Fixed debug apps
- Improved log messages for easier debug
- Improvements in skybox rendering inside the cubemap
- Addedd penalty in time attack for going too slow
- Fixed Time Attack spawn position in some track
- Added Formula K car with open physics as a template car for modders (found inside folder sdk/dev)
- Added open tyre physics files from all AC cars (found inside folder sdk/dev/tyres_ac) as examples
- BMW Z4 GT3 performance balance (slightly faster)
- Corrected non working mirrors on Lotus Exige 240r
- Corrected non working mirrors on Lotus Exige S Roadster
- Corrected disappearing cockpit on M3 E92
- Corrected wrong proportions on Ferrari 458 mirrors
- Corrected internal glasses on lotus GTC and GX
- Fixed Python lap count
- Increased Setup bar animation speed
- Fixed error for laptimes > 99:59:999
- New Shared Memory Layout (update your application!) example on http://www.assettocorsa.net/forum/index.php?threads/shared-memory-reference.3352/
- Fixed non-ascii symbols on Setup Tab
- Fixed time left showed in Basic App during practice solo session

0.15.3
- Launcher now operates in single process mode
- Launcher: full software-only rendering mode added
- Launcher: further refinements for the steam overlay integration (requires GPU accelerated mode)
- Default launcher theme: errors while loading cars and tracks will not result in a failed load attempt, instead a list of problematic content will be displayed

0.15.2
- Fixed acServer Linux builds 

0.15.1
- Fixed showroom crash
- Launcher: fixes for certain situations that could cause a crash on startup
- Launcher: error trapping for the control configuration dialog
- Default launcher theme: restored the upgrade icon in summary

0.15
- Editor released and available as a tool for everyone
- acServer bugfixing
- Physics & time-related fixes
- Fixed AI setup loading
- Setup Debug follows the currently focused car

0.10.4
- Launcher: changes for better Steam overlay integration
- Launcher: fixes for certain situations that could cause a crash on exit.

0.10.3
- Fix for certain condition that causes the launcher to hang on theme load.

0.10.2
- Added Python example for Ingame chat

0.10.1
- Default launcher theme: Fix for the missing track selection images
- Default launcher theme: Fix for potential results module initialization error

0.10
- SERVER UPDATED : using a new protocol, please update your servers
- Chat anti-flood
- Anti-cheating system implemented
- Kick user, Restart session, Skip session voting system implemented
- Chat python functions exposed
- Multiplayer Collisions improvements
- Some CPU performance improvements
- UI improvements
- Race control panel in pits menu
- AI Fixes
- Added "display recently joined servers" filter to server list
- Default launcher theme: extra sanitization for URI-unfriendly characters in content folder paths

0.9.13
- Fixed issue that prevented the refresh & ping buttons from being re-enabled.
- Added a fallback server in case main lobby server is inaccessible to client.
- Default launcher theme: yet another attempt at fixing the car modal overlay not displaying properly on very high resolution monitors.
- Server message overlays will now close when clicked.

0.9.12
- Even longer timeout value for retrieving the server list
- Added detailed logging for connection problems to the lobby server

0.9.11
-  Default launcher theme: fixed the opponent selection being inactive which was introduced in an earlier update
-  Default launcher theme: potential fix for the car modal overlay not displaying properly on very high resolution monitors.

0.9.10
- Fixes and optimizations for the server list interface
- Fix for an issue preventing the control configuration wizard from starting in some configs

0.9.9
- CPU performance enhancements on loading

0.9.8
- Fixed restart in single player races

0.9.7
- Fixed ingame GUI keyboard
- Improved multiplayer collisions
- Fixed AI Race fuel evaluation

0.9.6
- Fixed cockpit camera movement in instant replays
- Fixed drag racing AI

0.9.5
- Server list now warns you for servers that are configured for a client number that exceeds the pitboxes of a given track

0.9.4
- Fixed single session race start in pits

0.9.3
- Launcher multiplayer screen: even higher leniency towards timeouts

0.9.2
- Launcher: less intensive pinging
- Launcher: higher timeout threshold when loading server list

0.9.1
- Launcher filter options added

0.9
- Multiplayer public release

0.8.18
- Multiplayer join/rejoin fixes

0.8.17
- Multiplayer added guards on enter

0.8.16
- Multiplayer removed threads in UDPCommunication client side

0.8.15
- Multiplayer added more debug info

0.8.14
- Better on enter handle

0.8.13
- Fixed Manual Shifter on start

0.8.12
- Multiplayer on online session start fixes

0.8.11
- Multiplayer bug fixes & endrace

0.8.10
- New Mp debug info

0.8.9
- Multiplayer fixes

0.8.8
- Multiplayer

0.8.7
- Fixed Race weekend output
- Improved AI
- Improved AI Fuel evaluation
- Fixed FF vibration with stationary car (Mclaren GT3)
- Graphics optimizations

0.8.6
- Default launcher theme: fixed lap number for special events not updating
- Default launcher theme: various UI element placement adjustments

0.8.5
- Race Weekend
- AI improvements
- Fuel lap prediction
- Improved mouse with ingame gui
- Gui fixes and improvements
- Animations on secondary elements of the track
- Enable/disable keyboard commands with wheel or gamepad
- Skybox graphical improvements
- Tweaked kerbs volume
- Lotus Evora GTC
- Lotus Evora GX
- Default launcher theme: opponent name (pseudo)randomized if not available in ui_skin.json or already in grid

0.8.4
- Default launcher theme: split display settings to tabs
- Default launcher theme: enabled race weekend
- Default launcher theme: fuel consumption setting determines maximum race laps

0.8.3
- Default launcher theme: previously set number of laps are restored after the game is relaunched
- Launcher: stricter user folder .ini file reformatting and clean up on init
- KTM X-Bow: tweaked extra sounds (tyre squeal, wind, turbo)

0.8.2
- Default launcher theme: results screen will not automatically display if no laps were outputed by the sim
- Default launcher theme: starting position display for special event quickraces updated in summary
- Controls configuration: allow sharing of buttons between sequential gears and h-shifter in manual assignment
- Clouds culling improved

0.8.1
- Minor launcher X360 controller options fixed
- Oculus rift Skybox fixed

0.8
- Lotus Exige 240
- Ferrari 312T F1 
- Revised AI behavior
- Collisions performance improvements
- New sky box with clouds
- Fixed gui issue with spinner
- Improved x360 controller support at low speed
- Fixed gearshift sound on BMW M3 e92 Drift
- Improved rearview mirrors & added more rendering options in the launcher
- Default launcher theme: opponent skins are randomized from all available skins
- Default launcher theme: opponent setups are now set on a per-track basis
- Launcher: control configuration's Xbox360 section revised
- Fixed end race chart display bug

0.7.8
- Default launcher theme: Fixed an issue with assist level naming defaulting to "custom"
- Default launcher theme: Added option for toggling the setting of assists based on controller settings
- Default launcher theme: Added the option to clear the car preview cache and reload the UI

0.7.7
- Fixed Drag race starting issue
- Added debouncing MS delay for paddle shifter
- Added custom starting position

0.7.6
- Further reductions to the launcher's physical RAM usage while the simulator is active.
- Huayra steering wheel lock to lock modification
- Huayra collision boxes adjustments
- Updates and fixes on new skins of BMW 1M S3 and BMW M3 E30 Drift
- Huayra fixed rims orientation
- Collision fixes
- End race report fixes

0.7.5
- Pagani Huayra new car (turbo related sounds still wip)
- TC now does not engadge until a car specific speed when launching from stand still
- Aero fixes for Lotus Exos T125, corrects nose up excessive top speed
- Option for player selective collisions. A small workaround until we properly fix the AI. Collisions only occur around a small distance from the player. All other cars do not collide, limiting CPU occupation
- Fixed replay audio bug
- Fixed GUI on some apps
- Fixed race output
- New APP :: Track Description
- New APP :: Real Time X360 car controls debug
- Damage OFF option
- Fixed some glitches in mirror rendering
- Improved CPU performance on Monza
- Reduced launcher RAM and VRAM consumption while the simulator is active.
- Added French translation.
- Collision fixes at Monza and Silverstone gp
- Physical mesh at Silverstone gp more detailed.
- Fixed Concrete size at S-Schumacher, Nurburgring GP
- The launcher now keeps a rotating backup store of the local database (found in Documents\Assetto Corsa\launcherdata\backups)

0.7.2
- Default Exos setup now has maximum fuel for longer AI races.
- Some minor improvements in Lotus Exos AI
- Improvements on Nurburgring GP AI line for all cars
- Lotus Exos 125 hand gearshift animations
- Traction Control steps for Lotus Exos 125
- Improved downshift revs matching
- Fixed setup differential step on Lotus Exos 125
- Slight modifications on the range of the Lotus Exos 125' rebound dampers
- Default launcher theme: Fixed an issue with personal best times not being saved under certain conditions
- Default launcher theme: Control post-configuration check for required assists (e.g. activate autoclutch when no clutch assigned, etc)
- Added rotation limit option for in-game steering wheel.

0.7.1
- Minor launcher theme tweaks (text positioning in results panel).
- Fixed an issue with axis & button assignments for control configuration.

0.7
- New car Lotus Exos 125
- New upgrade Lotus Exos 125 S1
- New track Nurburgring GP
- Less noisy bodywork sound for GT cars
- Fixed hotlap penalties always on
- Friends Leaderboard :: filters lap for hotlap mode
- Some performance improvements
- Replay size reduced by 25%
- Gui now restoring hidden apps on exit
- Fixed Gui issues on apps
- Fixed smoke issues on replay
- Tuned low-level settings for smoke
- Fixed time attack start
- Some texture update for Autodromo di Monza
- Anticipated pit limiter when entering pitlane for Silverstone and Silverstone International race circuits
- "New" badge in UI cars thumbnails
- New "special tags" filtering. When you select a player car, the AI opponents selection is now suggesting similar cars. You can of course dismiss the special tag and choose more
- New "add visible" and "clear grid" buttons in custom opponents panel UI
- Launcher theme optimizations.
- Personal best lap is now recorded if penalties are off - steam achievements and online leaderboard times are not.

0.6.6
- Fixed old replays engine sound
- Launcher :: fixed small issues
- Audio : fixed low volume in a file

0.6.5
- Oculus Rift improvements
- High fov on single screen (>80 degrees) rendering fix
- Car physics & apps  fixes
- Balanced opponents volume
- Some ranking fixes
- fixed closing AC while a replay was playing after a race
- Replay performance improvements
- Fixed real time position on restart
- Best lap is kept when restarting session
- Fixed look back on replay
- Engine smoke when damaged
- Engine damage (not balanced yet) 
- McLaren MP4-12C GT3
- Upgrade BMW 1M Stage 3
- Upgrade Lotus Evora Stage 2
- Ferrari 599XX Aero center of pressure adjusted
- Ferrari 599XX improved cockpit view and adjusted bonnet cam
- Small aero improvements on BMW Z4 GT3, M3 GT2 and P4/5 Competizione
- New overboost function BMW Z4 Drift (keys 1-0 for 10% to 100% turbo boost. 80% default)
- Engine damage when turbo overboost is over 80% on cars that support it
- Engine damage from overreving the enging (i.e. downshifts)
- Steam friends leaderboard & Friends Leaderboard app for hotlap, drift & time attack


0.6.2
- Improved collisions detection & AI response
- Cpu warning is the same for all the languages
- Fixed somke on replay exit
- Drift mode :: minimum bonus seconds
- Difference displayer now display the difference on total time
- some gui fix

0.6.1
- Look back fixed for some cars
- Removed time parameter in replay.ini
- No more need to attach race.ini or race_out.json since they are printed in log
- Improved collisions with ground
- Small optimizations in collision boxes on some cars
- LOD fixes for Ferrari F40 to improve framerates

0.6
- All cars AI enabled
- All tracks AI enabled
- Improvements on track AI lines
- UI quickraces enabled
- Added theme module management interface (see Options/General)
- Fixed position indicator changing in proximity to the finish line
- First lap time in races starts when the starting lights are off
- On screen time difference : (On/Off switch)
- mesh collider system and terrain collision boxes
- Reworked collision stiffness
- Penalty system On/Off switch
- Hide steer option
- Smoke rendering in mirrors improved (also On/Off switch)
- Look back buttons implemented
- fixed some gui issues in endrace mode
- Winning an achievement in special events unlocks the lower achievements
- Fixed ambience sound volume
- Improved positional audio for opponents when driving in cockpit or F1 cameras
- Fixed opponents overall engine volume
- Fixed distance scale volume for opponents engines and related extra sounds (skids, backfires etc...)
- Fixed backfires exterior volume
- Maximum exterior engine volume is 1.0 to prevent sample clipping and/or distorsion
- Lotus Evora GTE physics bug fixes and updates
- KTM X-Bow R aero modifications and setup fixes

0.5.4
- Fixed BMW 1M setup 0 pressure values
- Added options for adjusting smoke rendering

0.5.3
- Removed penalty system in race special events
- Fixed session over leaderboard
- Fixed session result post session
- Added more slipstream
- AI acts less superhuman after collisions
- Replay memory limit slider increased to 500mb
- Added missing skins for BMW M3 grA
- Modifications on collisions boxes of very low cars.

0.5.2
- fixed opponents engine volume typo

0.5.1
- opponents engine volume tuned
- fixed Golden Glory achievements
- fixed replay race loading

0.5
- End Race simulation
- New Race special events
- Session Ranking app fixes
- Driver Names displayer
- Proximity Indicator & damage displayer follow GUI
- Small GUI fixes
- Special events have pre-determinate parameters such as Temperature
- Warning for high CPU occupancy
- Real time position
- Steam Achievement fixes
- fixed suspension animator in replay
- chase camera shake parameters exposed in launcher
- Modifications on tyre model combined forces grip. Tyres more sensitive in combined forces, cars more sensitive under braking and acceleration. Resulting in use of traction control more interesting even on racing cars
- Modifications on tyres heating modelling. 
- BMW Z4 35is drift upgrade
- BMW M3 E30 group.A is now the early model with less power and no ABS plus chassis modifications and 5 speed gearbox
- BMW M3 E30 DTM version is now an upgrade to the early model and retains only the 6 speed gearboxes.
- BMW 1M series
- Lotus Evora GTE
- Modifications on Ferrari F40 suspension toe links
- Modifications on Tatuus FA01 aerodynamic drag.
- BMW Z4 35is toe fixes and tyre compound fixes
- Pagani Zonda R ABS levels
- Laptimes have now 1ms resolution
- Ferrari 599XX Evo default alignment setup modified to cure over-sensitive steering.

0.4.2
- Control config: removed TAB key from exclusion list
- Control config: fixed an issue that prevented binding of secondary controls to certain keys

0.4.1
- Fixed rear ARB setup screen for BMW M3 E30 Group A
- Modified FFB values for F40 (fixes steer oscillation on straight line)
- Fixed hotlap penalties
- Fixed steam interface interaction with mouse hiding
- Fixed Drag Race car moving ahead on restart
- Fixed crash after loading car for players with long nickNames

Early Access 0.4

- New car BMW M3 E30 Group A
- New car BMW Z4 GT3
- New car Ferrari 599XX Evoluzione
- New car Ferrari F40
- New track Autodromo di Monza
- New bonus track Drag race 1000m and 400m
- Upgrade Ferrari 458 S3
- Upgrade Ferrari F40 S3
- Modifications on fuel consume of cars with turbo engines
- Modifications on the engine rev limiter of BMW M3 E92 Drift
- Modifications on Tatuus FA01 setup packer range
- New Special Events Mode with medals and achievements implemented
- Shared memory struct updated
- Drag Race mode implemented
- Camera on board :: resets far plane
- Replay :: fixed leaderboard app in replay mode
- Fixed triple screen change gear animations going too fast
- Improved all change gear animations
- Screen capture (F8) allows to select screenshot between PNG,JPG,BMP
- Time Attack checkpoints hidden in replays
- Mouse steering implemented
- Fixed Triple Screen in Track cameras (F3)
- Fixed large replay loading
- Camera Random (F2) improvements
- Fixed Tyre Tester app in replay mode

0.3.2

Early Access 0.3.2
- Fixed lingering launcher process under certain exiting conditions
- More descriptive launcher startup problem descriptions when setting up user folders
- Added a check for restoring fullscreen launcher windows on triple screen setups on session end

Early Access 0.3.1
- Fixed McLaren MP4-12C toe settings and values on setup screen
- Centered cockpit on McLaren MP4-12C
- Fixed McLaren MP4-12C RPM dial range of motion
- Fixed setup values errors in the Lotus 2-11
- Modifications on Abarth 500 front headlights
- Tweaked wind noise for open cars
- Throttle map modifications for all cars
- Corrected Lotus Exige Roadster Semiautomatic gearbox ratios
- More UI content translated in Russian
- Removed redundant messages from log to improve performances

Early Access 0.3

- Added McLaren Mp4 12c
- Added Lotus Exige S Roadster
- Added Lotus Evora S
- Added Abarth 500 SS Step1
- Added BMW M3 E30 Drift (engine swap)
- Added Lotus Elise SC Step1
- Added Lotus Elise SC Step2
- Fixed Setup bugs in P4/5 Competizione
- Adjusted setup values in Lotus 2-11
- Fixed single first click bug in setup sliders
- Adjusted engine brake in Abarth 500 SS
- Adjusted street and semislick tyres overheating grip
- BMW M3 E30 and E92 drift cars have now damper settings on their setup
- Added Silverstone GP track
- Added Vallelunga Club track
- Fixed broken right side on OculusVR
- Improved reflection shading
- Implemented save setup on exit
- Python now has its own log : py_log.txt
- Added saturation control
- In game telemetry :: fixed seconday bugs
- Python :: added isAcLive method to know if the simulation is active or not
- Fixed showroom triple screen central view bug
- X360 gamepad steer speed exposed
- Track cameras improved
- Drift mode :: fixed reverse gear drifting
- Replay length setting exposed
- Fixed circular replay
- Fixed backfire flames on non-hdr rendering
- New shared memory implementation 1.0 (Physics, Graphic thread and static info)
- Tyre wear rate is now honoring Realism settings
- Fuel consumption is now honoring Realism settings
- Improved BMW M3 e92 (all variants) interior and exterior sounds
- Added exterior gear shift sounds
- Tweaked tyre scrub pitch variation for some cars
- Added damper adjustments in Lotus 2-11 and Scura
- Adjusted engine brake in Lotus 4 cylinder engines
- Fixed bugs with Toe setup values in Tatuus FA01
- Added Chinese & Russian localizations ( Work in Progress )
- Added camera shake & g-force effect view options
- Added XBOX360 gamepad steering speed option
- Added new event hooks for loading external launcher modules (loadModules & beforeLoadModules)
- Fixed various minor layout problems in launcher default theme
- Fixed Drift mode end session
- Fixed unlockable achievements
- Fixed replay interface animation
- Fixed long output logs on system timer drift detection
- Fixed auto shifter (ctrl+g) for wheel [now requestedCarIndex is reset when shifter is not active]
- Fixed achievements on replay
- Fixed time attack penalty on restart

Early Access 0.2.1
- Fixed the PB grid being unresponsive
- Fixed the framerate limit slider not being polite to keyboard input
- Tweaked Pagani Zonda R interior engine volume on load
- Tweaked P4/5 Competizione bodywork volume and interior engine volume on load
- Added version display on launcher intro
- Added changelog display inside launcher (Options/General/View update log)
- Added more verbose logging for launcher thread activity
- Made modal dialog content scrollable

Early Access 0.2

- Achievement, stats fixed and updated, you can read them using SteamStatisticsReader
- Added Pagani Zonda R
- Added P4/5 Competizione Scuderia Cameron-Glickenhaus
- Added Lotus 2 Eleven
- Added Mugello Circuit
- Added Drift Track
- Added M3 E30 Step 1 upgrade
- Added M3 E92 Step 1 upgrade
- Added M3 E92 Drift upgrade
- Added Z4 35is Step 1 upgrade
- Updated M3 E30 power curve
- Updated tyre model for all cars
- Updated tyre wear for slicks tyres
- Updated Lotus 49 default setup to suit better monza 66 track
- Fixed TC not working after change of tyre compound
- Implemented non linear speedometer (BMW M3 E92)
- LOCALIZATION FILES NOW MUST BE encoded as [UTF-8 no BOM]
- acs.exe Localization now reads from INIReaderW, localization files updated
- problems related to windows user names with strange characters solved
- update showroom & showroom localization
- x360 rumble intensity multiplier
- new drift mode, it is based on score and time not laps
- sectors status in time transponder is reset after each lap
- Driver Eyes Positioner is Default app (localization added)
- Fixed replay loading with cars (wing problem)
- Fixed replay GUI (slider)
- Fixed turbo still producing boost even after fuel went zero
- Better engine coast at near minimum rpm, no need half gas to move the needle anymore
- Implemented "FF Enhancements"
- Improved AA algorithm selection
- New gamma curves for power and coast audio samples
- Reverb effect removed
- New default volumes preset
- Engine volume tweaked for all cars
- Backfire samples tweaked for all cars (that have them)
- Rumble strip, tyre rolling, tyre scrubs and wind samples tweaked
- BMW M3 e30 interior sounds improved
- BMW M3 e30 fixed missing gearshift sounds
- BMW M3 GT2 interior and exterior sounds improved
- Tatuus FA01 interior sounds improved
- KTM X-Bow interior sounds improved
- Ferrari 458 Italia overall engine pitch tweaked
- Lotus 49 interior sounds improved
- Lotus Elise SC and Scura engine and compressor volume levels tweaked
- Control presets support added in control config
- Launcher defaults to software rendering mode - option added for GPU acceleration
- Added localization for german and spanish languages
- Added extra options for control configuration of FFB, Xbox360 pads and keyboard
- Added support and UI selection for car upgrades
- Added selection for showrooms
- Added drift mode selection
- Added drift session results display
- Fix for possible crash in certain control configuration timing (device permissions revoked during control binding)
- Replay saving button will now work when returning from a session to a modal view of the session results.
- Exiting from scrollable content window will now center properly.
- Car info modal window scales for lower vertical resolution screens.
- PB grid now supports deleting entries and starts from a zoomed-out state.
- Added a zoom toggle button to the PB grid.
- Ghostcar toggling fixed.
- Warning for dual gpu users added when the launcher has been set to start with a discrete GPU.
- Stricter thread and file permission checking.
- Potential fix for flickering of modal windows in some setups.
- Potential fix for a startup deadlock situation.
- Game-related newsfeed now displays news items inside the launcher added an unread item notification.

Early Access 0.1.2 - update 1

- Added visual studio dll and pdb to override suspicious failing installs
- Tweaked default audio levels


Early Access 0.1.2

- Improved Force Feedback by removing redundant traffic
- Default FF rate is back to maximum
- Fixed autoclutch not fast enough to act as antistall when stopping the car in first gear
- Fixed problem when loading replays
- Added a change log :)
